// (C) 2001-2019 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


module s10_hps_altera_stratix10_interface_generator_191_dxxvueq(
// hps_io
  output wire [1 - 1 : 0 ] hps_io_phery_emac0_TX_CLK
 ,output wire [1 - 1 : 0 ] hps_io_phery_emac0_TXD0
 ,output wire [1 - 1 : 0 ] hps_io_phery_emac0_TXD1
 ,output wire [1 - 1 : 0 ] hps_io_phery_emac0_TXD2
 ,output wire [1 - 1 : 0 ] hps_io_phery_emac0_TXD3
 ,input wire [1 - 1 : 0 ] hps_io_phery_emac0_RX_CTL
 ,output wire [1 - 1 : 0 ] hps_io_phery_emac0_TX_CTL
 ,input wire [1 - 1 : 0 ] hps_io_phery_emac0_RX_CLK
 ,input wire [1 - 1 : 0 ] hps_io_phery_emac0_RXD0
 ,input wire [1 - 1 : 0 ] hps_io_phery_emac0_RXD1
 ,input wire [1 - 1 : 0 ] hps_io_phery_emac0_RXD2
 ,input wire [1 - 1 : 0 ] hps_io_phery_emac0_RXD3
 ,inout wire [1 - 1 : 0 ] hps_io_phery_emac0_MDIO
 ,output wire [1 - 1 : 0 ] hps_io_phery_emac0_MDC
 ,inout wire [1 - 1 : 0 ] hps_io_phery_sdmmc_CMD
 ,inout wire [1 - 1 : 0 ] hps_io_phery_sdmmc_D0
 ,inout wire [1 - 1 : 0 ] hps_io_phery_sdmmc_D1
 ,inout wire [1 - 1 : 0 ] hps_io_phery_sdmmc_D2
 ,inout wire [1 - 1 : 0 ] hps_io_phery_sdmmc_D3
 ,output wire [1 - 1 : 0 ] hps_io_phery_sdmmc_CCLK
 ,inout wire [1 - 1 : 0 ] hps_io_phery_usb0_DATA0
 ,inout wire [1 - 1 : 0 ] hps_io_phery_usb0_DATA1
 ,inout wire [1 - 1 : 0 ] hps_io_phery_usb0_DATA2
 ,inout wire [1 - 1 : 0 ] hps_io_phery_usb0_DATA3
 ,inout wire [1 - 1 : 0 ] hps_io_phery_usb0_DATA4
 ,inout wire [1 - 1 : 0 ] hps_io_phery_usb0_DATA5
 ,inout wire [1 - 1 : 0 ] hps_io_phery_usb0_DATA6
 ,inout wire [1 - 1 : 0 ] hps_io_phery_usb0_DATA7
 ,input wire [1 - 1 : 0 ] hps_io_phery_usb0_CLK
 ,output wire [1 - 1 : 0 ] hps_io_phery_usb0_STP
 ,input wire [1 - 1 : 0 ] hps_io_phery_usb0_DIR
 ,input wire [1 - 1 : 0 ] hps_io_phery_usb0_NXT
 ,input wire [1 - 1 : 0 ] hps_io_phery_uart0_RX
 ,output wire [1 - 1 : 0 ] hps_io_phery_uart0_TX
 ,inout wire [1 - 1 : 0 ] hps_io_phery_i2c1_SDA
 ,inout wire [1 - 1 : 0 ] hps_io_phery_i2c1_SCL
 ,inout wire [1 - 1 : 0 ] hps_io_gpio_gpio1_io0
 ,inout wire [1 - 1 : 0 ] hps_io_gpio_gpio1_io1
 ,inout wire [1 - 1 : 0 ] hps_io_gpio_gpio1_io4
 ,inout wire [1 - 1 : 0 ] hps_io_gpio_gpio1_io5
 ,input wire [1 - 1 : 0 ] hps_io_jtag_tck
 ,input wire [1 - 1 : 0 ] hps_io_jtag_tms
 ,output wire [1 - 1 : 0 ] hps_io_jtag_tdo
 ,input wire [1 - 1 : 0 ] hps_io_jtag_tdi
 ,input wire [1 - 1 : 0 ] hps_io_hps_ocs_clk
 ,inout wire [1 - 1 : 0 ] hps_io_gpio_gpio1_io19
 ,inout wire [1 - 1 : 0 ] hps_io_gpio_gpio1_io20
 ,inout wire [1 - 1 : 0 ] hps_io_gpio_gpio1_io21
);


wire [44 - 1 : 0] intermediate;

assign hps_io_phery_emac0_MDIO = intermediate[1] ? intermediate[0] : 'z;
assign hps_io_phery_sdmmc_CMD = intermediate[3] ? intermediate[2] : 'z;
assign hps_io_phery_sdmmc_D0 = intermediate[5] ? intermediate[4] : 'z;
assign hps_io_phery_sdmmc_D1 = intermediate[7] ? intermediate[6] : 'z;
assign hps_io_phery_sdmmc_D2 = intermediate[9] ? intermediate[8] : 'z;
assign hps_io_phery_sdmmc_D3 = intermediate[11] ? intermediate[10] : 'z;
assign hps_io_phery_usb0_DATA0 = intermediate[13] ? intermediate[12] : 'z;
assign hps_io_phery_usb0_DATA1 = intermediate[15] ? intermediate[14] : 'z;
assign hps_io_phery_usb0_DATA2 = intermediate[17] ? intermediate[16] : 'z;
assign hps_io_phery_usb0_DATA3 = intermediate[19] ? intermediate[18] : 'z;
assign hps_io_phery_usb0_DATA4 = intermediate[21] ? intermediate[20] : 'z;
assign hps_io_phery_usb0_DATA5 = intermediate[23] ? intermediate[22] : 'z;
assign hps_io_phery_usb0_DATA6 = intermediate[25] ? intermediate[24] : 'z;
assign hps_io_phery_usb0_DATA7 = intermediate[27] ? intermediate[26] : 'z;
assign hps_io_phery_i2c1_SDA = intermediate[28] ? '0 : 'z;
assign hps_io_phery_i2c1_SCL = intermediate[29] ? '0 : 'z;
assign hps_io_gpio_gpio1_io0 = intermediate[31] ? intermediate[30] : 'z;
assign hps_io_gpio_gpio1_io1 = intermediate[33] ? intermediate[32] : 'z;
assign hps_io_gpio_gpio1_io4 = intermediate[35] ? intermediate[34] : 'z;
assign hps_io_gpio_gpio1_io5 = intermediate[37] ? intermediate[36] : 'z;
assign hps_io_gpio_gpio1_io19 = intermediate[39] ? intermediate[38] : 'z;
assign hps_io_gpio_gpio1_io20 = intermediate[41] ? intermediate[40] : 'z;
assign hps_io_gpio_gpio1_io21 = intermediate[43] ? intermediate[42] : 'z;

wire [40 - 1 : 0] floating;

fourteennm_hps_peripheral_emac phery_emac0(
 .EMAC_CLK_RX({
    hps_io_phery_emac0_RX_CLK[0:0] // 0:0
  })
,.EMAC_PHY_TX_OE({
    hps_io_phery_emac0_TX_CTL[0:0] // 0:0
  })
,.EMAC_GMII_MDO_O({
    intermediate[0:0] // 0:0
  })
,.EMAC_GMII_MDO_OE({
    intermediate[1:1] // 0:0
  })
,.EMAC_PHY_RXDV({
    hps_io_phery_emac0_RX_CTL[0:0] // 0:0
  })
,.EMAC_PHY_TXD({
    hps_io_phery_emac0_TXD3[0:0] // 3:3
   ,hps_io_phery_emac0_TXD2[0:0] // 2:2
   ,hps_io_phery_emac0_TXD1[0:0] // 1:1
   ,hps_io_phery_emac0_TXD0[0:0] // 0:0
  })
,.EMAC_GMII_MDC({
    hps_io_phery_emac0_MDC[0:0] // 0:0
  })
,.EMAC_CLK_TX({
    hps_io_phery_emac0_TX_CLK[0:0] // 0:0
  })
,.EMAC_GMII_MDO_I({
    hps_io_phery_emac0_MDIO[0:0] // 0:0
  })
,.EMAC_PHY_RXD({
    hps_io_phery_emac0_RXD3[0:0] // 3:3
   ,hps_io_phery_emac0_RXD2[0:0] // 2:2
   ,hps_io_phery_emac0_RXD1[0:0] // 1:1
   ,hps_io_phery_emac0_RXD0[0:0] // 0:0
  })
);


fourteennm_hps_peripheral_sdmmc phery_sdmmc(
 .SDMMC_CCLK({
    hps_io_phery_sdmmc_CCLK[0:0] // 0:0
  })
,.SDMMC_DATA_OE({
    intermediate[11:11] // 3:3
   ,intermediate[9:9] // 2:2
   ,intermediate[7:7] // 1:1
   ,intermediate[5:5] // 0:0
  })
,.SDMMC_CMD_O({
    intermediate[2:2] // 0:0
  })
,.SDMMC_DATA_I({
    hps_io_phery_sdmmc_D3[0:0] // 3:3
   ,hps_io_phery_sdmmc_D2[0:0] // 2:2
   ,hps_io_phery_sdmmc_D1[0:0] // 1:1
   ,hps_io_phery_sdmmc_D0[0:0] // 0:0
  })
,.SDMMC_CMD_OE({
    intermediate[3:3] // 0:0
  })
,.SDMMC_CMD_I({
    hps_io_phery_sdmmc_CMD[0:0] // 0:0
  })
,.SDMMC_DATA_O({
    intermediate[10:10] // 3:3
   ,intermediate[8:8] // 2:2
   ,intermediate[6:6] // 1:1
   ,intermediate[4:4] // 0:0
  })
);


fourteennm_hps_peripheral_usb phery_usb0(
 .USB_ULPI_NXT({
    hps_io_phery_usb0_NXT[0:0] // 0:0
  })
,.USB_ULPI_DATA_I({
    hps_io_phery_usb0_DATA7[0:0] // 7:7
   ,hps_io_phery_usb0_DATA6[0:0] // 6:6
   ,hps_io_phery_usb0_DATA5[0:0] // 5:5
   ,hps_io_phery_usb0_DATA4[0:0] // 4:4
   ,hps_io_phery_usb0_DATA3[0:0] // 3:3
   ,hps_io_phery_usb0_DATA2[0:0] // 2:2
   ,hps_io_phery_usb0_DATA1[0:0] // 1:1
   ,hps_io_phery_usb0_DATA0[0:0] // 0:0
  })
,.USB_ULPI_CLK({
    hps_io_phery_usb0_CLK[0:0] // 0:0
  })
,.USB_ULPI_STP({
    hps_io_phery_usb0_STP[0:0] // 0:0
  })
,.USB_ULPI_DIR({
    hps_io_phery_usb0_DIR[0:0] // 0:0
  })
,.USB_ULPI_DATA_O({
    intermediate[26:26] // 7:7
   ,intermediate[24:24] // 6:6
   ,intermediate[22:22] // 5:5
   ,intermediate[20:20] // 4:4
   ,intermediate[18:18] // 3:3
   ,intermediate[16:16] // 2:2
   ,intermediate[14:14] // 1:1
   ,intermediate[12:12] // 0:0
  })
,.USB_ULPI_DATA_OE({
    intermediate[27:27] // 7:7
   ,intermediate[25:25] // 6:6
   ,intermediate[23:23] // 5:5
   ,intermediate[21:21] // 4:4
   ,intermediate[19:19] // 3:3
   ,intermediate[17:17] // 2:2
   ,intermediate[15:15] // 1:1
   ,intermediate[13:13] // 0:0
  })
);


fourteennm_hps_peripheral_uart phery_uart0(
 .UART_RXD({
    hps_io_phery_uart0_RX[0:0] // 0:0
  })
,.UART_TXD({
    hps_io_phery_uart0_TX[0:0] // 0:0
  })
);


fourteennm_hps_peripheral_i2c phery_i2c1(
 .I2C_CLK_OE({
    intermediate[29:29] // 0:0
  })
,.I2C_DATA_OE({
    intermediate[28:28] // 0:0
  })
,.I2C_CLK({
    hps_io_phery_i2c1_SCL[0:0] // 0:0
  })
,.I2C_DATA({
    hps_io_phery_i2c1_SDA[0:0] // 0:0
  })
);


fourteennm_hps_peripheral_gpio gpio(
 .GPIO1_PORTA_OE({
    intermediate[43:43] // 21:21
   ,intermediate[41:41] // 20:20
   ,intermediate[39:39] // 19:19
   ,floating[12:0] // 18:6
   ,intermediate[37:37] // 5:5
   ,intermediate[35:35] // 4:4
   ,floating[14:13] // 3:2
   ,intermediate[33:33] // 1:1
   ,intermediate[31:31] // 0:0
  })
,.GPIO1_PORTA_I({
    hps_io_gpio_gpio1_io21[0:0] // 21:21
   ,hps_io_gpio_gpio1_io20[0:0] // 20:20
   ,hps_io_gpio_gpio1_io19[0:0] // 19:19
   ,hps_io_hps_ocs_clk[0:0] // 18:18
   ,floating[20:15] // 17:12
   ,hps_io_jtag_tdi[0:0] // 11:11
   ,floating[21:21] // 10:10
   ,hps_io_jtag_tms[0:0] // 9:9
   ,hps_io_jtag_tck[0:0] // 8:8
   ,floating[23:22] // 7:6
   ,hps_io_gpio_gpio1_io5[0:0] // 5:5
   ,hps_io_gpio_gpio1_io4[0:0] // 4:4
   ,floating[25:24] // 3:2
   ,hps_io_gpio_gpio1_io1[0:0] // 1:1
   ,hps_io_gpio_gpio1_io0[0:0] // 0:0
  })
,.GPIO1_PORTA_O({
    intermediate[42:42] // 21:21
   ,intermediate[40:40] // 20:20
   ,intermediate[38:38] // 19:19
   ,floating[33:26] // 18:11
   ,hps_io_jtag_tdo[0:0] // 10:10
   ,floating[37:34] // 9:6
   ,intermediate[36:36] // 5:5
   ,intermediate[34:34] // 4:4
   ,floating[39:38] // 3:2
   ,intermediate[32:32] // 1:1
   ,intermediate[30:30] // 0:0
  })
);

endmodule

