#ifndef __ALT_MGE_PHY_RECONFIG_PARAMETERS_CFG1_H__
#define __ALT_MGE_PHY_RECONFIG_PARAMETERS_CFG1_H__

#ifdef ALT_MGE_PHY_DECLARE_RAM_ARRAY
#define ALT_MGE_PHY_RAM_SIZE 7
unsigned int alt_mge_phy_ram_array[7] = {
    0x10C0704, /* [26:16]-DPRIO address=0x10C; [15:8]-bit mask=0x07; [2:0]-pma_tx_buf_slew_rate_ctrl=slew_r4(3'h4); */
    0x1350F0F, /* [26:16]-DPRIO address=0x135; [15:8]-bit mask=0x0F; [3:2]-cdr_pll_lf_resistor_pd=lf_pd_setting3(2'h3); [1:0]-cdr_pll_lf_resistor_pfd=lf_pfd_setting3(2'h3); */
    0x1360F08, /* [26:16]-DPRIO address=0x136; [15:8]-bit mask=0x0F; [3:0]-cdr_pll_set_cdr_vco_speed_fix=56(4'h8); */
    0x1390701, /* [26:16]-DPRIO address=0x139; [15:8]-bit mask=0x07; [2:0]-cdr_pll_chgpmp_current_pfd=cp_current_pfd_setting1(3'h1); */
    0x13A3F23, /* [26:16]-DPRIO address=0x13A; [15:8]-bit mask=0x3F; [5:3]-cdr_pll_pd_l_counter=4(3'h4); [2:0]-cdr_pll_pfd_l_counter=2(3'h3); */
    0x13BFF19, /* [26:16]-DPRIO address=0x13B; [15:8]-bit mask=0xFF; [7:0]-cdr_pll_mcnt_div=25(8'h19); */
    0x1790202  /* [26:16]-DPRIO address=0x179; [15:8]-bit mask=0x02; [1:1]-pma_rx_odi_xrx_path_x119_rx_path_rstn_overrideb=use_sequencer(1'h1); */
};
#endif

#define ALT_MGE_PHY_PLL_SELECT_VALUE 0

#define ALT_MGE_PHY_HSSI_ADAPT_RX_HD_HSSIADAPT_PLD_PCS_RX_CLK_OUT_HZ_VALUE 156250000

#define ALT_MGE_PHY_HSSI_ADAPT_TX_HD_HSSIADAPT_AIB_HSSI_TX_TRANSFER_CLK_HZ_VALUE 156250000

#define ALT_MGE_PHY_HSSI_ADAPT_TX_HD_HSSIADAPT_PLD_PCS_TX_CLK_OUT_HZ_VALUE 156250000

#define ALT_MGE_PHY_PMA_ADAPT_SEQUENCER_RX_PATH_RSTN_OVERRIDEB_VALUE "use_sequencer"

#define ALT_MGE_PHY_PMA_ADAPT_DATARATE_BPS_VALUE "3125000000"

#define ALT_MGE_PHY_CDR_PLL_CHGPMP_CURRENT_PFD_VALUE "cp_current_pfd_setting1"
#define ALT_MGE_PHY_CDR_PLL_CHGPMP_CURRENT_PFD_ADDR_OFST 313
#define ALT_MGE_PHY_CDR_PLL_CHGPMP_CURRENT_PFD_ADDR_FIELD_OFST 0
#define ALT_MGE_PHY_CDR_PLL_CHGPMP_CURRENT_PFD_ADDR_FIELD_HIGH 2
#define ALT_MGE_PHY_CDR_PLL_CHGPMP_CURRENT_PFD_ADDR_FIELD_SIZE 3
#define ALT_MGE_PHY_CDR_PLL_CHGPMP_CURRENT_PFD_ADDR_FIELD_BITMASK 0x00000007
#define ALT_MGE_PHY_CDR_PLL_CHGPMP_CURRENT_PFD_ADDR_FIELD_VALMASK 0x00000001
#define ALT_MGE_PHY_CDR_PLL_CHGPMP_CURRENT_PFD_ADDR_FIELD_VALUE 0x1

#define ALT_MGE_PHY_CDR_PLL_DATARATE_BPS_VALUE "3125000000"

#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PD_VALUE "lf_pd_setting3"
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PD_ADDR_OFST 309
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PD_ADDR_FIELD_OFST 2
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PD_ADDR_FIELD_HIGH 3
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PD_ADDR_FIELD_SIZE 2
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PD_ADDR_FIELD_BITMASK 0x0000000C
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PD_ADDR_FIELD_VALMASK 0x0000000C
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PD_ADDR_FIELD_VALUE 0x3

#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PFD_VALUE "lf_pfd_setting3"
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PFD_ADDR_OFST 309
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PFD_ADDR_FIELD_OFST 0
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PFD_ADDR_FIELD_HIGH 1
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PFD_ADDR_FIELD_SIZE 2
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PFD_ADDR_FIELD_BITMASK 0x00000003
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PFD_ADDR_FIELD_VALMASK 0x00000003
#define ALT_MGE_PHY_CDR_PLL_LF_RESISTOR_PFD_ADDR_FIELD_VALUE 0x3

#define ALT_MGE_PHY_CDR_PLL_LPD_COUNTER_VALUE 4

#define ALT_MGE_PHY_CDR_PLL_LPFD_COUNTER_VALUE 2

#define ALT_MGE_PHY_CDR_PLL_MCNT_DIV_VALUE 25
#define ALT_MGE_PHY_CDR_PLL_MCNT_DIV_ADDR_OFST 315
#define ALT_MGE_PHY_CDR_PLL_MCNT_DIV_ADDR_FIELD_OFST 0
#define ALT_MGE_PHY_CDR_PLL_MCNT_DIV_ADDR_FIELD_HIGH 7
#define ALT_MGE_PHY_CDR_PLL_MCNT_DIV_ADDR_FIELD_SIZE 8
#define ALT_MGE_PHY_CDR_PLL_MCNT_DIV_ADDR_FIELD_BITMASK 0x000000FF
#define ALT_MGE_PHY_CDR_PLL_MCNT_DIV_ADDR_FIELD_VALMASK 0x00000019
#define ALT_MGE_PHY_CDR_PLL_MCNT_DIV_ADDR_FIELD_VALUE 0x19

#define ALT_MGE_PHY_CDR_PLL_OUT_FREQ_VALUE "1562500000"

#define ALT_MGE_PHY_CDR_PLL_PD_L_COUNTER_VALUE 4
#define ALT_MGE_PHY_CDR_PLL_PD_L_COUNTER_ADDR_OFST 314
#define ALT_MGE_PHY_CDR_PLL_PD_L_COUNTER_ADDR_FIELD_OFST 3
#define ALT_MGE_PHY_CDR_PLL_PD_L_COUNTER_ADDR_FIELD_HIGH 5
#define ALT_MGE_PHY_CDR_PLL_PD_L_COUNTER_ADDR_FIELD_SIZE 3
#define ALT_MGE_PHY_CDR_PLL_PD_L_COUNTER_ADDR_FIELD_BITMASK 0x00000038
#define ALT_MGE_PHY_CDR_PLL_PD_L_COUNTER_ADDR_FIELD_VALMASK 0x00000020
#define ALT_MGE_PHY_CDR_PLL_PD_L_COUNTER_ADDR_FIELD_VALUE 0x4

#define ALT_MGE_PHY_CDR_PLL_PFD_L_COUNTER_VALUE 2
#define ALT_MGE_PHY_CDR_PLL_PFD_L_COUNTER_ADDR_OFST 314
#define ALT_MGE_PHY_CDR_PLL_PFD_L_COUNTER_ADDR_FIELD_OFST 0
#define ALT_MGE_PHY_CDR_PLL_PFD_L_COUNTER_ADDR_FIELD_HIGH 2
#define ALT_MGE_PHY_CDR_PLL_PFD_L_COUNTER_ADDR_FIELD_SIZE 3
#define ALT_MGE_PHY_CDR_PLL_PFD_L_COUNTER_ADDR_FIELD_BITMASK 0x00000007
#define ALT_MGE_PHY_CDR_PLL_PFD_L_COUNTER_ADDR_FIELD_VALMASK 0x00000003
#define ALT_MGE_PHY_CDR_PLL_PFD_L_COUNTER_ADDR_FIELD_VALUE 0x3

#define ALT_MGE_PHY_CDR_PLL_POWERMODE_AC_RVCOTOP_VALUE "rvcotop_ac_div4"

#define ALT_MGE_PHY_CDR_PLL_POWERMODE_DC_RVCOTOP_VALUE "rvcotop_dc_div4"

#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_VALUE 56
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR0_OFST 306
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR0_FIELD_OFST 0
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR0_FIELD_HIGH 3
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR0_FIELD_SIZE 4
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR0_FIELD_BITMASK 0x0000000F
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR0_FIELD_VALMASK 0x00000003
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR0_FIELD_VALUE 0x3
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR1_OFST 310
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR1_FIELD_OFST 0
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR1_FIELD_HIGH 3
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR1_FIELD_SIZE 4
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR1_FIELD_BITMASK 0x0000000F
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR1_FIELD_VALMASK 0x00000008
#define ALT_MGE_PHY_CDR_PLL_SET_CDR_VCO_SPEED_FIX_ADDR1_FIELD_VALUE 0x8

#define ALT_MGE_PHY_CDR_PLL_VCO_FREQ_VALUE "6250000000"

#define ALT_MGE_PHY_PMA_RX_BUF_DATARATE_BPS_VALUE "3125000000"

#define ALT_MGE_PHY_PMA_RX_BUF_PM_CR2_RX_PATH_DATARATE_BPS_VALUE "3125000000"

#define ALT_MGE_PHY_PMA_RX_BUF_PM_CR2_RX_PATH_PMA_RX_DIVCLK_HZ_VALUE "312500000"

#define ALT_MGE_PHY_PMA_RX_DESER_DATARATE_BPS_VALUE "3125000000"

#define ALT_MGE_PHY_PMA_RX_DFE_DATARATE_BPS_VALUE "3125000000"

#define ALT_MGE_PHY_PMA_RX_ODI_DATARATE_BPS_VALUE "3125000000"

#define ALT_MGE_PHY_PMA_RX_ODI_XRX_PATH_X119_RX_PATH_RSTN_OVERRIDEB_VALUE "use_sequencer"
#define ALT_MGE_PHY_PMA_RX_ODI_XRX_PATH_X119_RX_PATH_RSTN_OVERRIDEB_ADDR_OFST 377
#define ALT_MGE_PHY_PMA_RX_ODI_XRX_PATH_X119_RX_PATH_RSTN_OVERRIDEB_ADDR_FIELD_OFST 1
#define ALT_MGE_PHY_PMA_RX_ODI_XRX_PATH_X119_RX_PATH_RSTN_OVERRIDEB_ADDR_FIELD_HIGH 1
#define ALT_MGE_PHY_PMA_RX_ODI_XRX_PATH_X119_RX_PATH_RSTN_OVERRIDEB_ADDR_FIELD_SIZE 1
#define ALT_MGE_PHY_PMA_RX_ODI_XRX_PATH_X119_RX_PATH_RSTN_OVERRIDEB_ADDR_FIELD_BITMASK 0x00000002
#define ALT_MGE_PHY_PMA_RX_ODI_XRX_PATH_X119_RX_PATH_RSTN_OVERRIDEB_ADDR_FIELD_VALMASK 0x00000002
#define ALT_MGE_PHY_PMA_RX_ODI_XRX_PATH_X119_RX_PATH_RSTN_OVERRIDEB_ADDR_FIELD_VALUE 0x1

#define ALT_MGE_PHY_PMA_TX_BUF_DATARATE_BPS_VALUE "3125000000"

#define ALT_MGE_PHY_PMA_TX_BUF_PM_CR2_TX_PATH_DATARATE_BPS_VALUE "3125000000"

#define ALT_MGE_PHY_PMA_TX_BUF_PM_CR2_TX_PATH_PMA_TX_DIVCLK_HZ_VALUE "312500000"

#define ALT_MGE_PHY_PMA_TX_BUF_SLEW_RATE_CTRL_VALUE "slew_r4"
#define ALT_MGE_PHY_PMA_TX_BUF_SLEW_RATE_CTRL_ADDR_OFST 268
#define ALT_MGE_PHY_PMA_TX_BUF_SLEW_RATE_CTRL_ADDR_FIELD_OFST 0
#define ALT_MGE_PHY_PMA_TX_BUF_SLEW_RATE_CTRL_ADDR_FIELD_HIGH 2
#define ALT_MGE_PHY_PMA_TX_BUF_SLEW_RATE_CTRL_ADDR_FIELD_SIZE 3
#define ALT_MGE_PHY_PMA_TX_BUF_SLEW_RATE_CTRL_ADDR_FIELD_BITMASK 0x00000007
#define ALT_MGE_PHY_PMA_TX_BUF_SLEW_RATE_CTRL_ADDR_FIELD_VALMASK 0x00000004
#define ALT_MGE_PHY_PMA_TX_BUF_SLEW_RATE_CTRL_ADDR_FIELD_VALUE 0x4

#define ALT_MGE_PHY_PMA_TX_BUF_PM_CR2_TX_PATH_TX_PLL_CLK_HZ_VALUE "1562500000"

#define ALT_MGE_PHY_PMA_CGB_DATARATE_BPS_VALUE "3125000000"

#define ALT_MGE_PHY_PMA_CGB_INPUT_SELECT_X1_VALUE "fpll_bot"

#define ALT_MGE_PHY_PMA_RESET_SEQUENCER_RX_PATH_RSTN_OVERRIDEB_VALUE "use_sequencer"

#define ALT_MGE_PHY_HSSI_PLDADAPT_RX_HDPLDADAPT_AIB_FABRIC_RX_TRANSFER_CLK_HZ_VALUE 156250000

#define ALT_MGE_PHY_HSSI_PLDADAPT_RX_HDPLDADAPT_PLD_RX_CLK1_DCM_HZ_VALUE 156250000

#define ALT_MGE_PHY_HSSI_PLDADAPT_RX_HDPLDADAPT_PLD_RX_CLK1_ROWCLK_HZ_VALUE 156250000

#define ALT_MGE_PHY_HSSI_PLDADAPT_TX_HDPLDADAPT_AIB_FABRIC_PMA_AIB_TX_CLK_HZ_VALUE 156250000

#define ALT_MGE_PHY_HSSI_PLDADAPT_TX_HDPLDADAPT_PLD_TX_CLK1_DCM_HZ_VALUE 156250000

#define ALT_MGE_PHY_HSSI_PLDADAPT_TX_HDPLDADAPT_PLD_TX_CLK1_ROWCLK_HZ_VALUE 156250000

#define ALT_MGE_PHY_HSSI_PLDADAPT_TX_HDPLDADAPT_PLD_TX_CLK2_DCM_HZ_VALUE 156250000

#define ALT_MGE_PHY_HSSI_PLDADAPT_TX_HDPLDADAPT_PLD_TX_CLK2_ROWCLK_HZ_VALUE 156250000

#define ALT_MGE_PHY_HSSI_RX_PLD_PCS_INTERFACE_HD_PCS_CHANNEL_PMA_RX_CLK_HZ_VALUE 312500000

#define ALT_MGE_PHY_HSSI_TX_PLD_PCS_INTERFACE_HD_PCS_CHANNEL_PMA_TX_CLK_HZ_VALUE 312500000

#endif //__ALT_MGE_PHY_RECONFIG_PARAMETERS_CFG1_H__
