module mge_rcfg_0 (
		input  wire        clk,                              //                 clock.clk
		input  wire        rst_n,                            //            reset_sink.reset_n
		input  wire        tx_cal_busy_chan1,                //     tx_cal_busy_chan1.tx_cal_busy
		input  wire        rx_cal_busy_chan1,                //     rx_cal_busy_chan1.rx_cal_busy
		output wire        tx_cal_busy_chan1_out,            // tx_cal_busy_chan1_out.tx_cal_busy
		output wire        rx_cal_busy_chan1_out,            // rx_cal_busy_chan1_out.rx_cal_busy
		output wire [1:0]  xcvr_mode_chan1,                  //       xcvr_mode_chan1.export
		output wire        mge_chan1_resetn,                 //      mge_chan1_resetn.reset_n
		output wire        pll_select_chan1,                 //      pll_select_chan1.pll_select
		output wire [3:0]  status,                           //                status.export
		input  wire        tx_cal_busy_chan2,                //     tx_cal_busy_chan2.tx_cal_busy
		input  wire        rx_cal_busy_chan2,                //     rx_cal_busy_chan2.rx_cal_busy
		output wire        tx_cal_busy_chan2_out,            // tx_cal_busy_chan2_out.tx_cal_busy
		output wire        rx_cal_busy_chan2_out,            // rx_cal_busy_chan2_out.rx_cal_busy
		output wire [1:0]  xcvr_mode_chan2,                  //       xcvr_mode_chan2.export
		output wire        mge_chan2_resetn,                 //      mge_chan2_resetn.reset_n
		output wire        pll_select_chan2,                 //      pll_select_chan2.pll_select
		output wire [11:0] reconfig_xcvr_master_address,     //  reconfig_xcvr_master.address
		output wire        reconfig_xcvr_master_read,        //                      .read
		output wire        reconfig_xcvr_master_write,       //                      .write
		output wire [31:0] reconfig_xcvr_master_writedata,   //                      .writedata
		input  wire [31:0] reconfig_xcvr_master_readdata,    //                      .readdata
		input  wire        reconfig_xcvr_master_waitrequest  //                      .waitrequest
	);
endmodule

