	msi_irq #(
		.MSG_DATA_WORD    (INTEGER_VALUE_FOR_MSG_DATA_WORD),
		.ADDR_WIDTH       (INTEGER_VALUE_FOR_ADDR_WIDTH),
		.DATA_ENTRY_DEPTH (INTEGER_VALUE_FOR_DATA_ENTRY_DEPTH),
		.FIFO_DEPTH       (INTEGER_VALUE_FOR_FIFO_DEPTH),
		.MEMORY_TYPE      (STRING_VALUE_FOR_MEMORY_TYPE)
	) u0 (
		.clk         (_connected_to_clk_),         //   input,           width = 1,            clock.clk
		.reset_n     (_connected_to_reset_n_),     //   input,           width = 1,            reset.reset_n
		.csr_write   (_connected_to_csr_write_),   //   input,           width = 1,              csr.write
		.csr_read    (_connected_to_csr_read_),    //   input,           width = 1,                 .read
		.csr_addr    (_connected_to_csr_addr_),    //   input,           width = 2,                 .address
		.csr_wrdata  (_connected_to_csr_wrdata_),  //   input,          width = 32,                 .writedata
		.csr_rddata  (_connected_to_csr_rddata_),  //  output,          width = 32,                 .readdata
		.avmm_addr   (_connected_to_avmm_addr_),   //   input,  width = ADDR_WIDTH,     vector_slave.address
		.avmm_wrdata (_connected_to_avmm_wrdata_), //   input,          width = 32,                 .writedata
		.avmm_rddata (_connected_to_avmm_rddata_), //  output,          width = 32,                 .readdata
		.avmm_write  (_connected_to_avmm_write_),  //   input,           width = 1,                 .write
		.avmm_read   (_connected_to_avmm_read_),   //   input,           width = 1,                 .read
		.irq         (_connected_to_irq_)          //  output,           width = 1, interrupt_sender.irq
	);

