# These QSF assignments are provided for your reference.
# Normally you do not need these assignments. The IP will
# make these settings for you. Refer to the user guide for
# scenarios where you might want to override default IP settings.
# Replace your pin names in the pin lists below.
set tx_pin_list { <tx_pin_0> <tx_pin_1> }
set rx_pin_list { <rx_pin_0> <rx_pin_1> }
# TX pin assignments
foreach tx_pin $tx_pin_list {
set_instance_assignment -name HSSI_PARAMETER "cdr_pll_power_mode=mid_power" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_pma_rx_divclk_hz=500000000" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_power_mode=mid_power" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_power_mode=mid_power" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_power_rail_er=1030" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_sel_vcm_ctle=vocm_eq_gndref" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_vcm_sel=vcm_l2" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_vcm_sel_vccref=5" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_power_mode=mid_power" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_odi_power_mode=mid_power" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_sd_power_mode=mid_power" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_pma_tx_divclk_hz=500000000" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_power_mode=mid_power" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_power_rail_et=1030" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_uc_vcc_setting=vcc_setting1" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_power_rail_er=1030" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_powermode_ac_cgb=cgb_ac_off" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_powermode_dc_cgb=powerdown_cgb" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_uc_vcc_setting=vcc_setting1" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_ser_power_rail_er=1030" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_ser_powermode_ac_ser=ac_clk_divtx_user_0_jitcomp1p0" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_ser_powermode_dc_ser=dc_clk_divtx_user_0_jitcomp1p0" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_ser_uc_vcc_setting=vcc_setting1" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_analog_mode=user_custom" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_compensation_en=enable" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_compensation_posttap_en=disable" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_cpen_ctrl=cp_l1" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_datarate_bps=5000000000" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_gt_enabled=disable" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_link=link_off" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_link=sr" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_optimal=true" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_optimal=true" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_powermode_ac_post_tap=tx_post_tap_ac_off" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_powermode_ac_pre_tap=tx_pre_tap_ac_off" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_powermode_ac_tx_vod_no_jitcomp=tx_vod_no_jitcomp_ac_l0" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_powermode_ac_tx_vod_w_jitcomp=tx_vod_w_jitcomp_ac_l31" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_powermode_dc_post_tap=powerdown_tx_post_tap" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_powermode_dc_pre_tap=powerdown_tx_pre_tap" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_powermode_dc_tx_vod_no_jitcomp=powerdown_tx_vod_no_jitcomp" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_powermode_dc_tx_vod_w_jitcomp=tx_vod_w_jitcomp_dc_l31" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pre_emp_sign_1st_post_tap=fir_post_1t_neg" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pre_emp_sign_pre_tap_1t=fir_pre_1t_neg" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pre_emp_switching_ctrl_1st_post_tap=0" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pre_emp_switching_ctrl_pre_tap_1t=0" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_slew_rate_ctrl=slew_r5" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_term_sel=r_r1" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_vod_output_swing_ctrl=31" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_vreg_output=vccdreg_nominal" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_bitslip_enable=disable_bitslip" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_datarate_bps=5000000000" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_uc_cgb_vreg_boost=no_voltage_boost" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_x1_clock_source_sel=lcpll_top" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_x1_div_m_sel=divbypass" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_ser_ser_clk_divtx_user_sel=divtx_user_off" -to ${tx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_sequencer_tx_path_rstn_overrideb=bypass_sequencer" -to ${tx_pin}
}
# RX pin assignments
foreach rx_pin $rx_pin_list {
set_instance_assignment -name HSSI_PARAMETER "cdr_pll_power_mode=mid_power" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_pma_rx_divclk_hz=500000000" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_power_mode=mid_power" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_power_mode=mid_power" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_power_rail_er=1030" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_sel_vcm_ctle=vocm_eq_gndref" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_vcm_sel=vcm_l2" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_vcm_sel_vccref=5" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_power_mode=mid_power" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_odi_power_mode=mid_power" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_sd_power_mode=mid_power" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_pma_tx_divclk_hz=500000000" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_power_mode=mid_power" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_pm_cr2_tx_path_power_rail_et=1030" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_buf_uc_vcc_setting=vcc_setting1" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_power_rail_er=1030" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_powermode_ac_cgb=cgb_ac_off" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_powermode_dc_cgb=powerdown_cgb" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_cgb_uc_vcc_setting=vcc_setting1" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_ser_power_rail_er=1030" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_ser_powermode_ac_ser=ac_clk_divtx_user_0_jitcomp1p0" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_ser_powermode_dc_ser=dc_clk_divtx_user_0_jitcomp1p0" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_tx_ser_uc_vcc_setting=vcc_setting1" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adapt_mode=ctle_dfe_mode_2" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_ac_ctle_en=radp_ac_ctle_en_disable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_ac_ctle_hold_en=radp_ac_ctle_hold_en_not_hold" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_ac_ctle_initial_value=radp_ac_ctle_initial_value_8" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_ac_ctle_mode_sel=radp_ac_ctle_mode_sel_concurrent" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_ctle_bypass_ac=radp_ctle_bypass_ac_bypass" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_ctle_bypass_dc=radp_ctle_bypass_dc_not_bypass" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dc_ctle_en=radp_dc_ctle_en_enable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dc_ctle_mode0_win_size=radp_dc_ctle_mode0_win_size_4_taps" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dc_ctle_mode0_win_start=0" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dc_ctle_mode2_h2_limit=7" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dc_ctle_mode_sel=radp_dc_ctle_mode_sel_mode_2" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dc_ctle_onetime=radp_dc_ctle_onetime_disable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dfe_en=radp_dfe_en_enable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dfe_fxtap_bypass=radp_dfe_fxtap_bypass_not_bypass" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dfe_hold_sel=radp_dfe_hold_sel_no" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dfe_tap1_initial_value=radp_dfe_tap1_initial_value_0" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dfe_tap_sel_en=radp_dfe_tap_sel_en_no" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dlev_bypass=radp_dlev_bypass_not_bypass" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_dlev_en=radp_dlev_en_enable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_vga_bypass=radp_vga_bypass_not_bypass" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_vga_ctle_low_limit=radp_vga_ctle_low_limit_4" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_vga_dlev_target=15" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_adp_vga_en=radp_vga_en_enalbe" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_optimal=true" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_powermode_ac_adaptation=adapt_ac_off" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_powermode_ac_deser_adapt=adapt_deser_ac_off" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_powermode_ac_dfe_adapt=adapt_dfe_ac_off" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_powermode_dc_adaptation=powerdown_adapt" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_powermode_dc_deser_adapt=powerdown_adapt_deser" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_adapt_powermode_dc_dfe_adapt=powerdown_adapt_dfe" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "cdr_pll_analog_mode=user_custom" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "cdr_pll_bypass_a_edge=bypass_a_edge_off" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "cdr_pll_optimal=true" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_analog_mode=user_custom" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_ctle_ac_gain=10" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_ctle_eq_gain=3" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_ctle_rf_cal=3" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_datarate_bps=5000000000" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_gt_enabled=disable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_link=link_off" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_link=sr" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_optimal=true" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_pm_cr2_rx_path_optimal=true" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_rx_ltr_load_init=rx_load_original" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_term_sel=r_r4" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_vga_dc_gain=5" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_buf_vga_ib_max_en=vga_ib_max_enable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_deser_datarate_bps=5000000000" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_deser_optimal=true" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_datarate_bps=5000000000" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_dfe_mode=dfe_tap1_15" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_latch_xcouple_disable=latch_xcouple_enable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_optimal=true" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_pdb_edge_pre_h1=cdr_pre_h1_enable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_pdb_edge_pst_h1=cdr_pst_h1_enable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_pdb_tap_10t15=tap10t15_dfe_enable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_pdb_tap_4t9=tap4t9_dfe_enable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_pdb_tapsum=tapsum_enable" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_powermode_ac_dfe=ac_cdr_mode" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_powermode_dc_dfe=powerdown_dfe" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_dfe_tapsum_bw_sel=tapsum_lowbw" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_odi_datarate_bps=5000000000" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_odi_monitor_bw_sel=bw_4" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_odi_optimal=true" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_odi_xrx_path_x119_rx_path_rstn_overrideb=use_sequencer" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_odi_vreg_voltage_sel=vreg1" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_sd_link=sr" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_sd_optimal=true" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_rx_sd_sd_threshold=sdlv_4" -to ${rx_pin}
set_instance_assignment -name HSSI_PARAMETER "pma_reset_sequencer_rx_path_rstn_overrideb=use_sequencer" -to ${rx_pin}
}
