	component perf_cnt_0 is
		port (
			clk           : in  std_logic                     := 'X';             -- clk
			reset_n       : in  std_logic                     := 'X';             -- reset_n
			address       : in  std_logic_vector(2 downto 0)  := (others => 'X'); -- address
			begintransfer : in  std_logic                     := 'X';             -- begintransfer
			readdata      : out std_logic_vector(31 downto 0);                    -- readdata
			write         : in  std_logic                     := 'X';             -- write
			writedata     : in  std_logic_vector(31 downto 0) := (others => 'X')  -- writedata
		);
	end component perf_cnt_0;

	u0 : component perf_cnt_0
		port map (
			clk           => CONNECTED_TO_clk,           --           clk.clk
			reset_n       => CONNECTED_TO_reset_n,       --         reset.reset_n
			address       => CONNECTED_TO_address,       -- control_slave.address
			begintransfer => CONNECTED_TO_begintransfer, --              .begintransfer
			readdata      => CONNECTED_TO_readdata,      --              .readdata
			write         => CONNECTED_TO_write,         --              .write
			writedata     => CONNECTED_TO_writedata      --              .writedata
		);

