	axi_bridge_for_acp_0 u0 (
		.clk             (_connected_to_clk_),             //   input,    width = 1,     clock.clk
		.reset           (_connected_to_reset_),           //   input,    width = 1,     reset.reset
		.csr_clk         (_connected_to_csr_clk_),         //   input,    width = 1, csr_clock.clk
		.csr_reset       (_connected_to_csr_reset_),       //   input,    width = 1, csr_reset.reset
		.addr            (_connected_to_addr_),            //   input,    width = 1,       csr.address
		.read            (_connected_to_read_),            //   input,    width = 1,          .read
		.write           (_connected_to_write_),           //   input,    width = 1,          .write
		.writedata       (_connected_to_writedata_),       //   input,   width = 32,          .writedata
		.readdata        (_connected_to_readdata_),        //  output,   width = 32,          .readdata
		.axm_m0_araddr   (_connected_to_axm_m0_araddr_),   //  output,   width = 32,        m0.araddr
		.axm_m0_arburst  (_connected_to_axm_m0_arburst_),  //  output,    width = 2,          .arburst
		.axm_m0_arcache  (_connected_to_axm_m0_arcache_),  //  output,    width = 4,          .arcache
		.axm_m0_arid     (_connected_to_axm_m0_arid_),     //  output,    width = 4,          .arid
		.axm_m0_arlen    (_connected_to_axm_m0_arlen_),    //  output,    width = 8,          .arlen
		.axm_m0_arlock   (_connected_to_axm_m0_arlock_),   //  output,    width = 1,          .arlock
		.axm_m0_arprot   (_connected_to_axm_m0_arprot_),   //  output,    width = 3,          .arprot
		.axm_m0_arqos    (_connected_to_axm_m0_arqos_),    //  output,    width = 4,          .arqos
		.axm_m0_arready  (_connected_to_axm_m0_arready_),  //   input,    width = 1,          .arready
		.axm_m0_arsize   (_connected_to_axm_m0_arsize_),   //  output,    width = 3,          .arsize
		.axm_m0_arvalid  (_connected_to_axm_m0_arvalid_),  //  output,    width = 1,          .arvalid
		.axm_m0_arsnoop  (_connected_to_axm_m0_arsnoop_),  //  output,    width = 4,          .arsnoop
		.axm_m0_ardomain (_connected_to_axm_m0_ardomain_), //  output,    width = 2,          .ardomain
		.axm_m0_arbar    (_connected_to_axm_m0_arbar_),    //  output,    width = 2,          .arbar
		.axm_m0_awaddr   (_connected_to_axm_m0_awaddr_),   //  output,   width = 32,          .awaddr
		.axm_m0_awburst  (_connected_to_axm_m0_awburst_),  //  output,    width = 2,          .awburst
		.axm_m0_awcache  (_connected_to_axm_m0_awcache_),  //  output,    width = 4,          .awcache
		.axm_m0_awid     (_connected_to_axm_m0_awid_),     //  output,    width = 4,          .awid
		.axm_m0_awlen    (_connected_to_axm_m0_awlen_),    //  output,    width = 8,          .awlen
		.axm_m0_awlock   (_connected_to_axm_m0_awlock_),   //  output,    width = 1,          .awlock
		.axm_m0_awprot   (_connected_to_axm_m0_awprot_),   //  output,    width = 3,          .awprot
		.axm_m0_awready  (_connected_to_axm_m0_awready_),  //   input,    width = 1,          .awready
		.axm_m0_awsize   (_connected_to_axm_m0_awsize_),   //  output,    width = 3,          .awsize
		.axm_m0_awvalid  (_connected_to_axm_m0_awvalid_),  //  output,    width = 1,          .awvalid
		.axm_m0_awqos    (_connected_to_axm_m0_awqos_),    //  output,    width = 4,          .awqos
		.axm_m0_bid      (_connected_to_axm_m0_bid_),      //   input,    width = 4,          .bid
		.axm_m0_bready   (_connected_to_axm_m0_bready_),   //  output,    width = 1,          .bready
		.axm_m0_bresp    (_connected_to_axm_m0_bresp_),    //   input,    width = 2,          .bresp
		.axm_m0_bvalid   (_connected_to_axm_m0_bvalid_),   //   input,    width = 1,          .bvalid
		.axm_m0_rdata    (_connected_to_axm_m0_rdata_),    //   input,  width = 128,          .rdata
		.axm_m0_rid      (_connected_to_axm_m0_rid_),      //   input,    width = 4,          .rid
		.axm_m0_rlast    (_connected_to_axm_m0_rlast_),    //   input,    width = 1,          .rlast
		.axm_m0_rready   (_connected_to_axm_m0_rready_),   //  output,    width = 1,          .rready
		.axm_m0_rresp    (_connected_to_axm_m0_rresp_),    //   input,    width = 2,          .rresp
		.axm_m0_rvalid   (_connected_to_axm_m0_rvalid_),   //   input,    width = 1,          .rvalid
		.axm_m0_wdata    (_connected_to_axm_m0_wdata_),    //  output,  width = 128,          .wdata
		.axm_m0_wlast    (_connected_to_axm_m0_wlast_),    //  output,    width = 1,          .wlast
		.axm_m0_wready   (_connected_to_axm_m0_wready_),   //   input,    width = 1,          .wready
		.axm_m0_wstrb    (_connected_to_axm_m0_wstrb_),    //  output,   width = 16,          .wstrb
		.axm_m0_wvalid   (_connected_to_axm_m0_wvalid_),   //  output,    width = 1,          .wvalid
		.axm_m0_awsnoop  (_connected_to_axm_m0_awsnoop_),  //  output,    width = 3,          .awsnoop
		.axm_m0_awdomain (_connected_to_axm_m0_awdomain_), //  output,    width = 2,          .awdomain
		.axm_m0_awbar    (_connected_to_axm_m0_awbar_),    //  output,    width = 2,          .awbar
		.axs_s0_araddr   (_connected_to_axs_s0_araddr_),   //   input,   width = 32,        s0.araddr
		.axs_s0_arburst  (_connected_to_axs_s0_arburst_),  //   input,    width = 2,          .arburst
		.axs_s0_arcache  (_connected_to_axs_s0_arcache_),  //   input,    width = 4,          .arcache
		.axs_s0_arid     (_connected_to_axs_s0_arid_),     //   input,    width = 4,          .arid
		.axs_s0_arlen    (_connected_to_axs_s0_arlen_),    //   input,    width = 8,          .arlen
		.axs_s0_arlock   (_connected_to_axs_s0_arlock_),   //   input,    width = 1,          .arlock
		.axs_s0_arprot   (_connected_to_axs_s0_arprot_),   //   input,    width = 3,          .arprot
		.axs_s0_arready  (_connected_to_axs_s0_arready_),  //  output,    width = 1,          .arready
		.axs_s0_arsize   (_connected_to_axs_s0_arsize_),   //   input,    width = 3,          .arsize
		.axs_s0_arvalid  (_connected_to_axs_s0_arvalid_),  //   input,    width = 1,          .arvalid
		.axs_s0_awaddr   (_connected_to_axs_s0_awaddr_),   //   input,   width = 32,          .awaddr
		.axs_s0_awburst  (_connected_to_axs_s0_awburst_),  //   input,    width = 2,          .awburst
		.axs_s0_awcache  (_connected_to_axs_s0_awcache_),  //   input,    width = 4,          .awcache
		.axs_s0_awid     (_connected_to_axs_s0_awid_),     //   input,    width = 4,          .awid
		.axs_s0_awlen    (_connected_to_axs_s0_awlen_),    //   input,    width = 8,          .awlen
		.axs_s0_awlock   (_connected_to_axs_s0_awlock_),   //   input,    width = 1,          .awlock
		.axs_s0_awprot   (_connected_to_axs_s0_awprot_),   //   input,    width = 3,          .awprot
		.axs_s0_awready  (_connected_to_axs_s0_awready_),  //  output,    width = 1,          .awready
		.axs_s0_awsize   (_connected_to_axs_s0_awsize_),   //   input,    width = 3,          .awsize
		.axs_s0_awvalid  (_connected_to_axs_s0_awvalid_),  //   input,    width = 1,          .awvalid
		.axs_s0_bid      (_connected_to_axs_s0_bid_),      //  output,    width = 4,          .bid
		.axs_s0_bready   (_connected_to_axs_s0_bready_),   //   input,    width = 1,          .bready
		.axs_s0_bresp    (_connected_to_axs_s0_bresp_),    //  output,    width = 2,          .bresp
		.axs_s0_bvalid   (_connected_to_axs_s0_bvalid_),   //  output,    width = 1,          .bvalid
		.axs_s0_rdata    (_connected_to_axs_s0_rdata_),    //  output,  width = 128,          .rdata
		.axs_s0_rid      (_connected_to_axs_s0_rid_),      //  output,    width = 4,          .rid
		.axs_s0_rlast    (_connected_to_axs_s0_rlast_),    //  output,    width = 1,          .rlast
		.axs_s0_rready   (_connected_to_axs_s0_rready_),   //   input,    width = 1,          .rready
		.axs_s0_rresp    (_connected_to_axs_s0_rresp_),    //  output,    width = 2,          .rresp
		.axs_s0_rvalid   (_connected_to_axs_s0_rvalid_),   //  output,    width = 1,          .rvalid
		.axs_s0_wdata    (_connected_to_axs_s0_wdata_),    //   input,  width = 128,          .wdata
		.axs_s0_wlast    (_connected_to_axs_s0_wlast_),    //   input,    width = 1,          .wlast
		.axs_s0_wready   (_connected_to_axs_s0_wready_),   //  output,    width = 1,          .wready
		.axs_s0_wstrb    (_connected_to_axs_s0_wstrb_),    //   input,   width = 16,          .wstrb
		.axs_s0_wvalid   (_connected_to_axs_s0_wvalid_)    //   input,    width = 1,          .wvalid
	);

