// axi_bridge_for_acp_0.v

// Generated using ACDS version 19.1 240

`timescale 1 ps / 1 ps
module axi_bridge_for_acp_0 (
		input  wire         clk,             //     clock.clk
		input  wire         reset,           //     reset.reset
		input  wire         csr_clk,         // csr_clock.clk
		input  wire         csr_reset,       // csr_reset.reset
		input  wire         addr,            //       csr.address
		input  wire         read,            //          .read
		input  wire         write,           //          .write
		input  wire [31:0]  writedata,       //          .writedata
		output wire [31:0]  readdata,        //          .readdata
		output wire [31:0]  axm_m0_araddr,   //        m0.araddr
		output wire [1:0]   axm_m0_arburst,  //          .arburst
		output wire [3:0]   axm_m0_arcache,  //          .arcache
		output wire [3:0]   axm_m0_arid,     //          .arid
		output wire [7:0]   axm_m0_arlen,    //          .arlen
		output wire         axm_m0_arlock,   //          .arlock
		output wire [2:0]   axm_m0_arprot,   //          .arprot
		output wire [3:0]   axm_m0_arqos,    //          .arqos
		input  wire         axm_m0_arready,  //          .arready
		output wire [2:0]   axm_m0_arsize,   //          .arsize
		output wire         axm_m0_arvalid,  //          .arvalid
		output wire [3:0]   axm_m0_arsnoop,  //          .arsnoop
		output wire [1:0]   axm_m0_ardomain, //          .ardomain
		output wire [1:0]   axm_m0_arbar,    //          .arbar
		output wire [31:0]  axm_m0_awaddr,   //          .awaddr
		output wire [1:0]   axm_m0_awburst,  //          .awburst
		output wire [3:0]   axm_m0_awcache,  //          .awcache
		output wire [3:0]   axm_m0_awid,     //          .awid
		output wire [7:0]   axm_m0_awlen,    //          .awlen
		output wire         axm_m0_awlock,   //          .awlock
		output wire [2:0]   axm_m0_awprot,   //          .awprot
		input  wire         axm_m0_awready,  //          .awready
		output wire [2:0]   axm_m0_awsize,   //          .awsize
		output wire         axm_m0_awvalid,  //          .awvalid
		output wire [3:0]   axm_m0_awqos,    //          .awqos
		input  wire [3:0]   axm_m0_bid,      //          .bid
		output wire         axm_m0_bready,   //          .bready
		input  wire [1:0]   axm_m0_bresp,    //          .bresp
		input  wire         axm_m0_bvalid,   //          .bvalid
		input  wire [127:0] axm_m0_rdata,    //          .rdata
		input  wire [3:0]   axm_m0_rid,      //          .rid
		input  wire         axm_m0_rlast,    //          .rlast
		output wire         axm_m0_rready,   //          .rready
		input  wire [1:0]   axm_m0_rresp,    //          .rresp
		input  wire         axm_m0_rvalid,   //          .rvalid
		output wire [127:0] axm_m0_wdata,    //          .wdata
		output wire         axm_m0_wlast,    //          .wlast
		input  wire         axm_m0_wready,   //          .wready
		output wire [15:0]  axm_m0_wstrb,    //          .wstrb
		output wire         axm_m0_wvalid,   //          .wvalid
		output wire [2:0]   axm_m0_awsnoop,  //          .awsnoop
		output wire [1:0]   axm_m0_awdomain, //          .awdomain
		output wire [1:0]   axm_m0_awbar,    //          .awbar
		input  wire [31:0]  axs_s0_araddr,   //        s0.araddr
		input  wire [1:0]   axs_s0_arburst,  //          .arburst
		input  wire [3:0]   axs_s0_arcache,  //          .arcache
		input  wire [3:0]   axs_s0_arid,     //          .arid
		input  wire [7:0]   axs_s0_arlen,    //          .arlen
		input  wire         axs_s0_arlock,   //          .arlock
		input  wire [2:0]   axs_s0_arprot,   //          .arprot
		output wire         axs_s0_arready,  //          .arready
		input  wire [2:0]   axs_s0_arsize,   //          .arsize
		input  wire         axs_s0_arvalid,  //          .arvalid
		input  wire [31:0]  axs_s0_awaddr,   //          .awaddr
		input  wire [1:0]   axs_s0_awburst,  //          .awburst
		input  wire [3:0]   axs_s0_awcache,  //          .awcache
		input  wire [3:0]   axs_s0_awid,     //          .awid
		input  wire [7:0]   axs_s0_awlen,    //          .awlen
		input  wire         axs_s0_awlock,   //          .awlock
		input  wire [2:0]   axs_s0_awprot,   //          .awprot
		output wire         axs_s0_awready,  //          .awready
		input  wire [2:0]   axs_s0_awsize,   //          .awsize
		input  wire         axs_s0_awvalid,  //          .awvalid
		output wire [3:0]   axs_s0_bid,      //          .bid
		input  wire         axs_s0_bready,   //          .bready
		output wire [1:0]   axs_s0_bresp,    //          .bresp
		output wire         axs_s0_bvalid,   //          .bvalid
		output wire [127:0] axs_s0_rdata,    //          .rdata
		output wire [3:0]   axs_s0_rid,      //          .rid
		output wire         axs_s0_rlast,    //          .rlast
		input  wire         axs_s0_rready,   //          .rready
		output wire [1:0]   axs_s0_rresp,    //          .rresp
		output wire         axs_s0_rvalid,   //          .rvalid
		input  wire [127:0] axs_s0_wdata,    //          .wdata
		input  wire         axs_s0_wlast,    //          .wlast
		output wire         axs_s0_wready,   //          .wready
		input  wire [15:0]  axs_s0_wstrb,    //          .wstrb
		input  wire         axs_s0_wvalid    //          .wvalid
	);

	axi_bridge_for_acp_128 #(
		.GPIO_EN           (0),
		.CSR_EN            (1),
		.ARDOMAIN_OVERRIDE (2'b10),
		.ARBAR_OVERRIDE    (2'b00),
		.ARSNOOP_OVERRIDE  (4'b0000),
		.ARCACHE_OVERRIDE  (4'b1111),
		.AWDOMAIN_OVERRIDE (2'b10),
		.AWBAR_OVERRIDE    (2'b00),
		.AWSNOOP_OVERRIDE  (3'b000),
		.AWCACHE_OVERRIDE  (4'b1111),
		.AxPROT_OVERRIDE   (3'b011)
	) axi_bridge_for_acp_128_inst (
		.clk             (clk),                                  //   input,    width = 1,     clock.clk
		.reset           (reset),                                //   input,    width = 1,     reset.reset
		.csr_clk         (csr_clk),                              //   input,    width = 1, csr_clock.clk
		.csr_reset       (csr_reset),                            //   input,    width = 1, csr_reset.reset
		.addr            (addr),                                 //   input,    width = 1,       csr.address
		.read            (read),                                 //   input,    width = 1,          .read
		.write           (write),                                //   input,    width = 1,          .write
		.writedata       (writedata),                            //   input,   width = 32,          .writedata
		.readdata        (readdata),                             //  output,   width = 32,          .readdata
		.axm_m0_araddr   (axm_m0_araddr),                        //  output,   width = 32,        m0.araddr
		.axm_m0_arburst  (axm_m0_arburst),                       //  output,    width = 2,          .arburst
		.axm_m0_arcache  (axm_m0_arcache),                       //  output,    width = 4,          .arcache
		.axm_m0_arid     (axm_m0_arid),                          //  output,    width = 4,          .arid
		.axm_m0_arlen    (axm_m0_arlen),                         //  output,    width = 8,          .arlen
		.axm_m0_arlock   (axm_m0_arlock),                        //  output,    width = 1,          .arlock
		.axm_m0_arprot   (axm_m0_arprot),                        //  output,    width = 3,          .arprot
		.axm_m0_arqos    (axm_m0_arqos),                         //  output,    width = 4,          .arqos
		.axm_m0_arready  (axm_m0_arready),                       //   input,    width = 1,          .arready
		.axm_m0_arsize   (axm_m0_arsize),                        //  output,    width = 3,          .arsize
		.axm_m0_arvalid  (axm_m0_arvalid),                       //  output,    width = 1,          .arvalid
		.axm_m0_arsnoop  (axm_m0_arsnoop),                       //  output,    width = 4,          .arsnoop
		.axm_m0_ardomain (axm_m0_ardomain),                      //  output,    width = 2,          .ardomain
		.axm_m0_arbar    (axm_m0_arbar),                         //  output,    width = 2,          .arbar
		.axm_m0_awaddr   (axm_m0_awaddr),                        //  output,   width = 32,          .awaddr
		.axm_m0_awburst  (axm_m0_awburst),                       //  output,    width = 2,          .awburst
		.axm_m0_awcache  (axm_m0_awcache),                       //  output,    width = 4,          .awcache
		.axm_m0_awid     (axm_m0_awid),                          //  output,    width = 4,          .awid
		.axm_m0_awlen    (axm_m0_awlen),                         //  output,    width = 8,          .awlen
		.axm_m0_awlock   (axm_m0_awlock),                        //  output,    width = 1,          .awlock
		.axm_m0_awprot   (axm_m0_awprot),                        //  output,    width = 3,          .awprot
		.axm_m0_awready  (axm_m0_awready),                       //   input,    width = 1,          .awready
		.axm_m0_awsize   (axm_m0_awsize),                        //  output,    width = 3,          .awsize
		.axm_m0_awvalid  (axm_m0_awvalid),                       //  output,    width = 1,          .awvalid
		.axm_m0_awqos    (axm_m0_awqos),                         //  output,    width = 4,          .awqos
		.axm_m0_bid      (axm_m0_bid),                           //   input,    width = 4,          .bid
		.axm_m0_bready   (axm_m0_bready),                        //  output,    width = 1,          .bready
		.axm_m0_bresp    (axm_m0_bresp),                         //   input,    width = 2,          .bresp
		.axm_m0_bvalid   (axm_m0_bvalid),                        //   input,    width = 1,          .bvalid
		.axm_m0_rdata    (axm_m0_rdata),                         //   input,  width = 128,          .rdata
		.axm_m0_rid      (axm_m0_rid),                           //   input,    width = 4,          .rid
		.axm_m0_rlast    (axm_m0_rlast),                         //   input,    width = 1,          .rlast
		.axm_m0_rready   (axm_m0_rready),                        //  output,    width = 1,          .rready
		.axm_m0_rresp    (axm_m0_rresp),                         //   input,    width = 2,          .rresp
		.axm_m0_rvalid   (axm_m0_rvalid),                        //   input,    width = 1,          .rvalid
		.axm_m0_wdata    (axm_m0_wdata),                         //  output,  width = 128,          .wdata
		.axm_m0_wlast    (axm_m0_wlast),                         //  output,    width = 1,          .wlast
		.axm_m0_wready   (axm_m0_wready),                        //   input,    width = 1,          .wready
		.axm_m0_wstrb    (axm_m0_wstrb),                         //  output,   width = 16,          .wstrb
		.axm_m0_wvalid   (axm_m0_wvalid),                        //  output,    width = 1,          .wvalid
		.axm_m0_awsnoop  (axm_m0_awsnoop),                       //  output,    width = 3,          .awsnoop
		.axm_m0_awdomain (axm_m0_awdomain),                      //  output,    width = 2,          .awdomain
		.axm_m0_awbar    (axm_m0_awbar),                         //  output,    width = 2,          .awbar
		.axs_s0_araddr   (axs_s0_araddr),                        //   input,   width = 32,        s0.araddr
		.axs_s0_arburst  (axs_s0_arburst),                       //   input,    width = 2,          .arburst
		.axs_s0_arcache  (axs_s0_arcache),                       //   input,    width = 4,          .arcache
		.axs_s0_arid     (axs_s0_arid),                          //   input,    width = 4,          .arid
		.axs_s0_arlen    (axs_s0_arlen),                         //   input,    width = 8,          .arlen
		.axs_s0_arlock   (axs_s0_arlock),                        //   input,    width = 1,          .arlock
		.axs_s0_arprot   (axs_s0_arprot),                        //   input,    width = 3,          .arprot
		.axs_s0_arready  (axs_s0_arready),                       //  output,    width = 1,          .arready
		.axs_s0_arsize   (axs_s0_arsize),                        //   input,    width = 3,          .arsize
		.axs_s0_arvalid  (axs_s0_arvalid),                       //   input,    width = 1,          .arvalid
		.axs_s0_awaddr   (axs_s0_awaddr),                        //   input,   width = 32,          .awaddr
		.axs_s0_awburst  (axs_s0_awburst),                       //   input,    width = 2,          .awburst
		.axs_s0_awcache  (axs_s0_awcache),                       //   input,    width = 4,          .awcache
		.axs_s0_awid     (axs_s0_awid),                          //   input,    width = 4,          .awid
		.axs_s0_awlen    (axs_s0_awlen),                         //   input,    width = 8,          .awlen
		.axs_s0_awlock   (axs_s0_awlock),                        //   input,    width = 1,          .awlock
		.axs_s0_awprot   (axs_s0_awprot),                        //   input,    width = 3,          .awprot
		.axs_s0_awready  (axs_s0_awready),                       //  output,    width = 1,          .awready
		.axs_s0_awsize   (axs_s0_awsize),                        //   input,    width = 3,          .awsize
		.axs_s0_awvalid  (axs_s0_awvalid),                       //   input,    width = 1,          .awvalid
		.axs_s0_bid      (axs_s0_bid),                           //  output,    width = 4,          .bid
		.axs_s0_bready   (axs_s0_bready),                        //   input,    width = 1,          .bready
		.axs_s0_bresp    (axs_s0_bresp),                         //  output,    width = 2,          .bresp
		.axs_s0_bvalid   (axs_s0_bvalid),                        //  output,    width = 1,          .bvalid
		.axs_s0_rdata    (axs_s0_rdata),                         //  output,  width = 128,          .rdata
		.axs_s0_rid      (axs_s0_rid),                           //  output,    width = 4,          .rid
		.axs_s0_rlast    (axs_s0_rlast),                         //  output,    width = 1,          .rlast
		.axs_s0_rready   (axs_s0_rready),                        //   input,    width = 1,          .rready
		.axs_s0_rresp    (axs_s0_rresp),                         //  output,    width = 2,          .rresp
		.axs_s0_rvalid   (axs_s0_rvalid),                        //  output,    width = 1,          .rvalid
		.axs_s0_wdata    (axs_s0_wdata),                         //   input,  width = 128,          .wdata
		.axs_s0_wlast    (axs_s0_wlast),                         //   input,    width = 1,          .wlast
		.axs_s0_wready   (axs_s0_wready),                        //  output,    width = 1,          .wready
		.axs_s0_wstrb    (axs_s0_wstrb),                         //   input,   width = 16,          .wstrb
		.axs_s0_wvalid   (axs_s0_wvalid),                        //   input,    width = 1,          .wvalid
		.gp_input        (),                                     // (terminated),                         
		.gp_output       (32'b00000000000000000000000000000000)  // (terminated),                         
	);

endmodule
