// (C) 2001-2019 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


module s10_hps_altera_stratix10_interface_generator_191_i3os4hy(
// h2f_reset
  output wire [1 - 1 : 0 ] h2f_rst
// h2f_watchdog_rst
 ,output wire [1 - 1 : 0 ] h2f_watchdog_rst
// f2h_stm_hw_events
 ,input wire [43 - 1 : 0 ] f2h_stm_hwevents
// hps_emif
 ,input wire [4096 - 1 : 0 ] hps_emif_emif_to_hps
 ,output wire [4096 - 1 : 0 ] hps_emif_hps_to_emif
 ,input wire [1 - 1 : 0 ] hps_emif_emif_to_gp
 ,output wire [2 - 1 : 0 ] hps_emif_gp_to_emif
// f2h_axi_clock
 ,input wire [1 - 1 : 0 ] f2h_axi_clk
// f2h_axi_reset
 ,input wire [1 - 1 : 0 ] f2h_axi_rst_n
// f2h_axi_slave
 ,input wire [4 - 1 : 0 ] f2h_AWCACHE
 ,input wire [4 - 1 : 0 ] f2h_ARCACHE
 ,input wire [4 - 1 : 0 ] f2h_AWID
 ,input wire [32 - 1 : 0 ] f2h_AWADDR
 ,input wire [8 - 1 : 0 ] f2h_AWLEN
 ,input wire [3 - 1 : 0 ] f2h_AWSIZE
 ,input wire [2 - 1 : 0 ] f2h_AWBURST
 ,input wire [1 - 1 : 0 ] f2h_AWLOCK
 ,input wire [3 - 1 : 0 ] f2h_AWPROT
 ,input wire [1 - 1 : 0 ] f2h_AWVALID
 ,output wire [1 - 1 : 0 ] f2h_AWREADY
 ,input wire [4 - 1 : 0 ] f2h_AWQOS
 ,input wire [128 - 1 : 0 ] f2h_WDATA
 ,input wire [16 - 1 : 0 ] f2h_WSTRB
 ,input wire [1 - 1 : 0 ] f2h_WLAST
 ,input wire [1 - 1 : 0 ] f2h_WVALID
 ,output wire [1 - 1 : 0 ] f2h_WREADY
 ,output wire [4 - 1 : 0 ] f2h_BID
 ,output wire [2 - 1 : 0 ] f2h_BRESP
 ,output wire [1 - 1 : 0 ] f2h_BVALID
 ,input wire [1 - 1 : 0 ] f2h_BREADY
 ,input wire [4 - 1 : 0 ] f2h_ARID
 ,input wire [32 - 1 : 0 ] f2h_ARADDR
 ,input wire [8 - 1 : 0 ] f2h_ARLEN
 ,input wire [3 - 1 : 0 ] f2h_ARSIZE
 ,input wire [2 - 1 : 0 ] f2h_ARBURST
 ,input wire [1 - 1 : 0 ] f2h_ARLOCK
 ,input wire [3 - 1 : 0 ] f2h_ARPROT
 ,input wire [1 - 1 : 0 ] f2h_ARVALID
 ,output wire [1 - 1 : 0 ] f2h_ARREADY
 ,input wire [4 - 1 : 0 ] f2h_ARQOS
 ,output wire [4 - 1 : 0 ] f2h_RID
 ,output wire [128 - 1 : 0 ] f2h_RDATA
 ,output wire [2 - 1 : 0 ] f2h_RRESP
 ,output wire [1 - 1 : 0 ] f2h_RLAST
 ,output wire [1 - 1 : 0 ] f2h_RVALID
 ,input wire [1 - 1 : 0 ] f2h_RREADY
// h2f_lw_axi_clock
 ,input wire [1 - 1 : 0 ] h2f_lw_axi_clk
// h2f_lw_axi_reset
 ,input wire [1 - 1 : 0 ] h2f_lw_axi_rst_n
// h2f_lw_axi_master
 ,output wire [4 - 1 : 0 ] h2f_lw_AWID
 ,output wire [21 - 1 : 0 ] h2f_lw_AWADDR
 ,output wire [8 - 1 : 0 ] h2f_lw_AWLEN
 ,output wire [3 - 1 : 0 ] h2f_lw_AWSIZE
 ,output wire [2 - 1 : 0 ] h2f_lw_AWBURST
 ,output wire [1 - 1 : 0 ] h2f_lw_AWLOCK
 ,output wire [4 - 1 : 0 ] h2f_lw_AWCACHE
 ,output wire [3 - 1 : 0 ] h2f_lw_AWPROT
 ,output wire [1 - 1 : 0 ] h2f_lw_AWVALID
 ,input wire [1 - 1 : 0 ] h2f_lw_AWREADY
 ,output wire [32 - 1 : 0 ] h2f_lw_WDATA
 ,output wire [4 - 1 : 0 ] h2f_lw_WSTRB
 ,output wire [1 - 1 : 0 ] h2f_lw_WLAST
 ,output wire [1 - 1 : 0 ] h2f_lw_WVALID
 ,input wire [1 - 1 : 0 ] h2f_lw_WREADY
 ,input wire [4 - 1 : 0 ] h2f_lw_BID
 ,input wire [2 - 1 : 0 ] h2f_lw_BRESP
 ,input wire [1 - 1 : 0 ] h2f_lw_BVALID
 ,output wire [1 - 1 : 0 ] h2f_lw_BREADY
 ,output wire [4 - 1 : 0 ] h2f_lw_ARID
 ,output wire [21 - 1 : 0 ] h2f_lw_ARADDR
 ,output wire [8 - 1 : 0 ] h2f_lw_ARLEN
 ,output wire [3 - 1 : 0 ] h2f_lw_ARSIZE
 ,output wire [2 - 1 : 0 ] h2f_lw_ARBURST
 ,output wire [1 - 1 : 0 ] h2f_lw_ARLOCK
 ,output wire [4 - 1 : 0 ] h2f_lw_ARCACHE
 ,output wire [3 - 1 : 0 ] h2f_lw_ARPROT
 ,output wire [1 - 1 : 0 ] h2f_lw_ARVALID
 ,input wire [1 - 1 : 0 ] h2f_lw_ARREADY
 ,input wire [4 - 1 : 0 ] h2f_lw_RID
 ,input wire [32 - 1 : 0 ] h2f_lw_RDATA
 ,input wire [2 - 1 : 0 ] h2f_lw_RRESP
 ,input wire [1 - 1 : 0 ] h2f_lw_RLAST
 ,input wire [1 - 1 : 0 ] h2f_lw_RVALID
 ,output wire [1 - 1 : 0 ] h2f_lw_RREADY
// h2f_axi_clock
 ,input wire [1 - 1 : 0 ] h2f_axi_clk
// h2f_axi_reset
 ,input wire [1 - 1 : 0 ] h2f_axi_rst_n
// h2f_axi_master
 ,output wire [4 - 1 : 0 ] h2f_AWID
 ,output wire [32 - 1 : 0 ] h2f_AWADDR
 ,output wire [8 - 1 : 0 ] h2f_AWLEN
 ,output wire [3 - 1 : 0 ] h2f_AWSIZE
 ,output wire [2 - 1 : 0 ] h2f_AWBURST
 ,output wire [1 - 1 : 0 ] h2f_AWLOCK
 ,output wire [4 - 1 : 0 ] h2f_AWCACHE
 ,output wire [3 - 1 : 0 ] h2f_AWPROT
 ,output wire [1 - 1 : 0 ] h2f_AWVALID
 ,input wire [1 - 1 : 0 ] h2f_AWREADY
 ,output wire [128 - 1 : 0 ] h2f_WDATA
 ,output wire [16 - 1 : 0 ] h2f_WSTRB
 ,output wire [1 - 1 : 0 ] h2f_WLAST
 ,output wire [1 - 1 : 0 ] h2f_WVALID
 ,input wire [1 - 1 : 0 ] h2f_WREADY
 ,input wire [4 - 1 : 0 ] h2f_BID
 ,input wire [2 - 1 : 0 ] h2f_BRESP
 ,input wire [1 - 1 : 0 ] h2f_BVALID
 ,output wire [1 - 1 : 0 ] h2f_BREADY
 ,output wire [4 - 1 : 0 ] h2f_ARID
 ,output wire [32 - 1 : 0 ] h2f_ARADDR
 ,output wire [8 - 1 : 0 ] h2f_ARLEN
 ,output wire [3 - 1 : 0 ] h2f_ARSIZE
 ,output wire [2 - 1 : 0 ] h2f_ARBURST
 ,output wire [1 - 1 : 0 ] h2f_ARLOCK
 ,output wire [4 - 1 : 0 ] h2f_ARCACHE
 ,output wire [3 - 1 : 0 ] h2f_ARPROT
 ,output wire [1 - 1 : 0 ] h2f_ARVALID
 ,input wire [1 - 1 : 0 ] h2f_ARREADY
 ,input wire [4 - 1 : 0 ] h2f_RID
 ,input wire [128 - 1 : 0 ] h2f_RDATA
 ,input wire [2 - 1 : 0 ] h2f_RRESP
 ,input wire [1 - 1 : 0 ] h2f_RLAST
 ,input wire [1 - 1 : 0 ] h2f_RVALID
 ,output wire [1 - 1 : 0 ] h2f_RREADY
// f2sdram0_clock
 ,input wire [1 - 1 : 0 ] f2sdram0_clk
// f2sdram0_reset
 ,input wire [1 - 1 : 0 ] f2sdram0_rst_n
// f2sdram0_data
 ,input wire [32 - 1 : 0 ] f2sdram0_ARADDR
 ,input wire [2 - 1 : 0 ] f2sdram0_ARBURST
 ,input wire [4 - 1 : 0 ] f2sdram0_ARCACHE
 ,input wire [4 - 1 : 0 ] f2sdram0_ARID
 ,input wire [8 - 1 : 0 ] f2sdram0_ARLEN
 ,input wire [1 - 1 : 0 ] f2sdram0_ARLOCK
 ,input wire [3 - 1 : 0 ] f2sdram0_ARPROT
 ,input wire [4 - 1 : 0 ] f2sdram0_ARQOS
 ,output wire [1 - 1 : 0 ] f2sdram0_ARREADY
 ,input wire [3 - 1 : 0 ] f2sdram0_ARSIZE
 ,input wire [1 - 1 : 0 ] f2sdram0_ARVALID
 ,input wire [32 - 1 : 0 ] f2sdram0_AWADDR
 ,input wire [2 - 1 : 0 ] f2sdram0_AWBURST
 ,input wire [4 - 1 : 0 ] f2sdram0_AWCACHE
 ,input wire [4 - 1 : 0 ] f2sdram0_AWID
 ,input wire [8 - 1 : 0 ] f2sdram0_AWLEN
 ,input wire [1 - 1 : 0 ] f2sdram0_AWLOCK
 ,input wire [3 - 1 : 0 ] f2sdram0_AWPROT
 ,input wire [4 - 1 : 0 ] f2sdram0_AWQOS
 ,output wire [1 - 1 : 0 ] f2sdram0_AWREADY
 ,input wire [3 - 1 : 0 ] f2sdram0_AWSIZE
 ,input wire [1 - 1 : 0 ] f2sdram0_AWVALID
 ,input wire [128 - 1 : 0 ] f2sdram0_WDATA
 ,input wire [1 - 1 : 0 ] f2sdram0_WLAST
 ,output wire [1 - 1 : 0 ] f2sdram0_WREADY
 ,input wire [16 - 1 : 0 ] f2sdram0_WSTRB
 ,input wire [1 - 1 : 0 ] f2sdram0_WVALID
 ,output wire [4 - 1 : 0 ] f2sdram0_BID
 ,input wire [1 - 1 : 0 ] f2sdram0_BREADY
 ,output wire [2 - 1 : 0 ] f2sdram0_BRESP
 ,output wire [1 - 1 : 0 ] f2sdram0_BVALID
 ,output wire [128 - 1 : 0 ] f2sdram0_RDATA
 ,output wire [4 - 1 : 0 ] f2sdram0_RID
 ,output wire [1 - 1 : 0 ] f2sdram0_RLAST
 ,input wire [1 - 1 : 0 ] f2sdram0_RREADY
 ,output wire [2 - 1 : 0 ] f2sdram0_RRESP
 ,output wire [1 - 1 : 0 ] f2sdram0_RVALID
// f2sdram1_clock
 ,input wire [1 - 1 : 0 ] f2sdram1_clk
// f2sdram1_reset
 ,input wire [1 - 1 : 0 ] f2sdram1_rst_n
// f2sdram1_data
 ,input wire [32 - 1 : 0 ] f2sdram1_ARADDR
 ,input wire [2 - 1 : 0 ] f2sdram1_ARBURST
 ,input wire [4 - 1 : 0 ] f2sdram1_ARCACHE
 ,input wire [4 - 1 : 0 ] f2sdram1_ARID
 ,input wire [8 - 1 : 0 ] f2sdram1_ARLEN
 ,input wire [1 - 1 : 0 ] f2sdram1_ARLOCK
 ,input wire [3 - 1 : 0 ] f2sdram1_ARPROT
 ,input wire [4 - 1 : 0 ] f2sdram1_ARQOS
 ,output wire [1 - 1 : 0 ] f2sdram1_ARREADY
 ,input wire [3 - 1 : 0 ] f2sdram1_ARSIZE
 ,input wire [1 - 1 : 0 ] f2sdram1_ARVALID
 ,input wire [32 - 1 : 0 ] f2sdram1_AWADDR
 ,input wire [2 - 1 : 0 ] f2sdram1_AWBURST
 ,input wire [4 - 1 : 0 ] f2sdram1_AWCACHE
 ,input wire [4 - 1 : 0 ] f2sdram1_AWID
 ,input wire [8 - 1 : 0 ] f2sdram1_AWLEN
 ,input wire [1 - 1 : 0 ] f2sdram1_AWLOCK
 ,input wire [3 - 1 : 0 ] f2sdram1_AWPROT
 ,input wire [4 - 1 : 0 ] f2sdram1_AWQOS
 ,output wire [1 - 1 : 0 ] f2sdram1_AWREADY
 ,input wire [3 - 1 : 0 ] f2sdram1_AWSIZE
 ,input wire [1 - 1 : 0 ] f2sdram1_AWVALID
 ,input wire [128 - 1 : 0 ] f2sdram1_WDATA
 ,input wire [1 - 1 : 0 ] f2sdram1_WLAST
 ,output wire [1 - 1 : 0 ] f2sdram1_WREADY
 ,input wire [16 - 1 : 0 ] f2sdram1_WSTRB
 ,input wire [1 - 1 : 0 ] f2sdram1_WVALID
 ,output wire [4 - 1 : 0 ] f2sdram1_BID
 ,input wire [1 - 1 : 0 ] f2sdram1_BREADY
 ,output wire [2 - 1 : 0 ] f2sdram1_BRESP
 ,output wire [1 - 1 : 0 ] f2sdram1_BVALID
 ,output wire [128 - 1 : 0 ] f2sdram1_RDATA
 ,output wire [4 - 1 : 0 ] f2sdram1_RID
 ,output wire [1 - 1 : 0 ] f2sdram1_RLAST
 ,input wire [1 - 1 : 0 ] f2sdram1_RREADY
 ,output wire [2 - 1 : 0 ] f2sdram1_RRESP
 ,output wire [1 - 1 : 0 ] f2sdram1_RVALID
// f2sdram2_clock
 ,input wire [1 - 1 : 0 ] f2sdram2_clk
// f2sdram2_reset
 ,input wire [1 - 1 : 0 ] f2sdram2_rst_n
// f2sdram2_data
 ,input wire [32 - 1 : 0 ] f2sdram2_ARADDR
 ,input wire [2 - 1 : 0 ] f2sdram2_ARBURST
 ,input wire [4 - 1 : 0 ] f2sdram2_ARCACHE
 ,input wire [4 - 1 : 0 ] f2sdram2_ARID
 ,input wire [8 - 1 : 0 ] f2sdram2_ARLEN
 ,input wire [1 - 1 : 0 ] f2sdram2_ARLOCK
 ,input wire [3 - 1 : 0 ] f2sdram2_ARPROT
 ,input wire [4 - 1 : 0 ] f2sdram2_ARQOS
 ,output wire [1 - 1 : 0 ] f2sdram2_ARREADY
 ,input wire [3 - 1 : 0 ] f2sdram2_ARSIZE
 ,input wire [1 - 1 : 0 ] f2sdram2_ARVALID
 ,input wire [32 - 1 : 0 ] f2sdram2_AWADDR
 ,input wire [2 - 1 : 0 ] f2sdram2_AWBURST
 ,input wire [4 - 1 : 0 ] f2sdram2_AWCACHE
 ,input wire [4 - 1 : 0 ] f2sdram2_AWID
 ,input wire [8 - 1 : 0 ] f2sdram2_AWLEN
 ,input wire [1 - 1 : 0 ] f2sdram2_AWLOCK
 ,input wire [3 - 1 : 0 ] f2sdram2_AWPROT
 ,input wire [4 - 1 : 0 ] f2sdram2_AWQOS
 ,output wire [1 - 1 : 0 ] f2sdram2_AWREADY
 ,input wire [3 - 1 : 0 ] f2sdram2_AWSIZE
 ,input wire [1 - 1 : 0 ] f2sdram2_AWVALID
 ,input wire [128 - 1 : 0 ] f2sdram2_WDATA
 ,input wire [1 - 1 : 0 ] f2sdram2_WLAST
 ,output wire [1 - 1 : 0 ] f2sdram2_WREADY
 ,input wire [16 - 1 : 0 ] f2sdram2_WSTRB
 ,input wire [1 - 1 : 0 ] f2sdram2_WVALID
 ,output wire [4 - 1 : 0 ] f2sdram2_BID
 ,input wire [1 - 1 : 0 ] f2sdram2_BREADY
 ,output wire [2 - 1 : 0 ] f2sdram2_BRESP
 ,output wire [1 - 1 : 0 ] f2sdram2_BVALID
 ,output wire [128 - 1 : 0 ] f2sdram2_RDATA
 ,output wire [4 - 1 : 0 ] f2sdram2_RID
 ,output wire [1 - 1 : 0 ] f2sdram2_RLAST
 ,input wire [1 - 1 : 0 ] f2sdram2_RREADY
 ,output wire [2 - 1 : 0 ] f2sdram2_RRESP
 ,output wire [1 - 1 : 0 ] f2sdram2_RVALID
// f2h_irq0
 ,input wire [32 - 1 : 0 ] f2h_irq_p0
// f2h_irq1
 ,input wire [32 - 1 : 0 ] f2h_irq_p1
// emac_ptp_ref_clock
 ,input wire [1 - 1 : 0 ] emac_ptp_ref_clk
// emac1
 ,output wire [2 - 1 : 0 ] emac1_phy_mac_speed_o
 ,output wire [8 - 1 : 0 ] emac1_phy_txd_o
 ,output wire [1 - 1 : 0 ] emac1_phy_txen_o
 ,output wire [1 - 1 : 0 ] emac1_phy_txer_o
 ,input wire [1 - 1 : 0 ] emac1_phy_rxdv_i
 ,input wire [1 - 1 : 0 ] emac1_phy_rxer_i
 ,input wire [8 - 1 : 0 ] emac1_phy_rxd_i
 ,input wire [1 - 1 : 0 ] emac1_phy_col_i
 ,input wire [1 - 1 : 0 ] emac1_phy_crs_i
 ,output wire [1 - 1 : 0 ] emac1_gmii_mdo_o
 ,output wire [1 - 1 : 0 ] emac1_gmii_mdo_o_e
 ,input wire [1 - 1 : 0 ] emac1_gmii_mdi_i
 ,output wire [1 - 1 : 0 ] emac1_ptp_pps_o
 ,input wire [1 - 1 : 0 ] emac1_ptp_aux_ts_trig_i
 ,output wire [1 - 1 : 0 ] emac1_ptp_tstmp_data
 ,output wire [1 - 1 : 0 ] emac1_ptp_tstmp_en
// emac1_md_clk
 ,output wire [1 - 1 : 0 ] emac1_gmii_mdc_o
// emac1_rx_clk_in
 ,input wire [1 - 1 : 0 ] emac1_clk_rx_i
// emac1_tx_clk_in
 ,input wire [1 - 1 : 0 ] emac1_clk_tx_i
// emac1_gtx_clk
 ,output wire [1 - 1 : 0 ] emac1_phy_txclk_o
// emac1_tx_reset
 ,output wire [1 - 1 : 0 ] emac1_rst_clk_tx_n_o
// emac1_rx_reset
 ,output wire [1 - 1 : 0 ] emac1_rst_clk_rx_n_o
// emac2
 ,output wire [2 - 1 : 0 ] emac2_phy_mac_speed_o
 ,output wire [8 - 1 : 0 ] emac2_phy_txd_o
 ,output wire [1 - 1 : 0 ] emac2_phy_txen_o
 ,output wire [1 - 1 : 0 ] emac2_phy_txer_o
 ,input wire [1 - 1 : 0 ] emac2_phy_rxdv_i
 ,input wire [1 - 1 : 0 ] emac2_phy_rxer_i
 ,input wire [8 - 1 : 0 ] emac2_phy_rxd_i
 ,input wire [1 - 1 : 0 ] emac2_phy_col_i
 ,input wire [1 - 1 : 0 ] emac2_phy_crs_i
 ,output wire [1 - 1 : 0 ] emac2_gmii_mdo_o
 ,output wire [1 - 1 : 0 ] emac2_gmii_mdo_o_e
 ,input wire [1 - 1 : 0 ] emac2_gmii_mdi_i
 ,output wire [1 - 1 : 0 ] emac2_ptp_pps_o
 ,input wire [1 - 1 : 0 ] emac2_ptp_aux_ts_trig_i
 ,output wire [1 - 1 : 0 ] emac2_ptp_tstmp_data
 ,output wire [1 - 1 : 0 ] emac2_ptp_tstmp_en
// emac2_md_clk
 ,output wire [1 - 1 : 0 ] emac2_gmii_mdc_o
// emac2_rx_clk_in
 ,input wire [1 - 1 : 0 ] emac2_clk_rx_i
// emac2_tx_clk_in
 ,input wire [1 - 1 : 0 ] emac2_clk_tx_i
// emac2_gtx_clk
 ,output wire [1 - 1 : 0 ] emac2_phy_txclk_o
// emac2_tx_reset
 ,output wire [1 - 1 : 0 ] emac2_rst_clk_tx_n_o
// emac2_rx_reset
 ,output wire [1 - 1 : 0 ] emac2_rst_clk_rx_n_o
);



fourteennm_hps_interface_clocks_resets clocks_resets(
 .f2s_pending_rst_ack({
    1'b1 // 0:0
  })
,.f2s_free_clk({
    1'b0 // 0:0
  })
,.emac_ptp_ref_clk({
    emac_ptp_ref_clk[0:0] // 0:0
  })
,.s2f_rst({
    h2f_rst[0:0] // 0:0
  })
,.s2f_watchdog_rst({
    h2f_watchdog_rst[0:0] // 0:0
  })
);


fourteennm_hps_interface_dbg_apb debug_apb(
 .F2S_PCLKENDBG({
    1'b0 // 0:0
  })
,.F2S_DBGAPBDISABLE({
    1'b0 // 0:0
  })
);


fourteennm_hps_interface_stm_event stm_event(
 .f2s_stm_event({
    f2h_stm_hwevents[42:0] // 42:0
  })
);


one_hps_interface_ddr emif_interface(
 .io48_b_iod_pb0_out({
    hps_emif_hps_to_emif[4095:0] // 4095:0
  })
,.io48_b_cdata_pb0_in({
    hps_emif_emif_to_hps[4095:0] // 4095:0
  })
);


fourteennm_hps_rl_interface_fpga2hps fpga2hps(
 .ac_ready({
    1'b0 // 0:0
  })
,.ar_burst({
    f2h_ARBURST[1:0] // 1:0
  })
,.aw_qos({
    f2h_AWQOS[3:0] // 3:0
  })
,.aw_size({
    f2h_AWSIZE[2:0] // 2:0
  })
,.b_resp({
    f2h_BRESP[1:0] // 1:0
  })
,.aw_bar({
    2'b00 // 1:0
  })
,.aw_id({
    f2h_AWID[3:0] // 3:0
  })
,.cr_valid({
    1'b0 // 0:0
  })
,.cr_resp({
    5'b00000 // 4:0
  })
,.r_ready({
    f2h_RREADY[0:0] // 0:0
  })
,.r_id({
    f2h_RID[3:0] // 3:0
  })
,.aw_valid({
    f2h_AWVALID[0:0] // 0:0
  })
,.ar_id({
    f2h_ARID[3:0] // 3:0
  })
,.clk({
    f2h_axi_clk[0:0] // 0:0
  })
,.w_last({
    f2h_WLAST[0:0] // 0:0
  })
,.aw_len({
    f2h_AWLEN[7:0] // 7:0
  })
,.r_ack({
    1'b0 // 0:0
  })
,.ar_valid({
    f2h_ARVALID[0:0] // 0:0
  })
,.r_resp({
    f2h_RRESP[1:0] // 1:0
  })
,.wsb_sid({
    10'b0000000000 // 9:0
  })
,.aw_ready({
    f2h_AWREADY[0:0] // 0:0
  })
,.is_ace_port_config({
    1'b1 // 0:0
  })
,.cd_valid({
    1'b0 // 0:0
  })
,.readylatency_port_config({
    1'b0 // 0:0
  })
,.aw_domain({
    2'b11 // 1:0
  })
,.ar_qos({
    f2h_ARQOS[3:0] // 3:0
  })
,.aw_snoop({
    3'b000 // 2:0
  })
,.rsb_sid({
    10'b0000000000 // 9:0
  })
,.ar_bar({
    2'b00 // 1:0
  })
,.ar_ready({
    f2h_ARREADY[0:0] // 0:0
  })
,.cd_data({
    128'b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000 // 127:0
  })
,.w_strb({
    f2h_WSTRB[15:0] // 15:0
  })
,.ar_lock({
    f2h_ARLOCK[0:0] // 0:0
  })
,.ar_addr({
    12'b000000000000 // 43:32
   ,f2h_ARADDR[31:0] // 31:0
  })
,.rst_n({
    f2h_axi_rst_n[0:0] // 0:0
  })
,.ar_snoop({
    4'b0000 // 3:0
  })
,.ar_len({
    f2h_ARLEN[7:0] // 7:0
  })
,.b_valid({
    f2h_BVALID[0:0] // 0:0
  })
,.r_data({
    f2h_RDATA[127:0] // 127:0
  })
,.ready_latency({
    3'b000 // 2:0
  })
,.wsb_ssd({
    5'b00000 // 4:0
  })
,.w_valid({
    f2h_WVALID[0:0] // 0:0
  })
,.ar_prot({
    f2h_ARPROT[2:0] // 2:0
  })
,.aw_lock({
    f2h_AWLOCK[0:0] // 0:0
  })
,.aw_addr({
    12'b000000000000 // 43:32
   ,f2h_AWADDR[31:0] // 31:0
  })
,.cd_last({
    1'b0 // 0:0
  })
,.aw_cache({
    f2h_AWCACHE[3:0] // 3:0
  })
,.w_ack({
    1'b0 // 0:0
  })
,.ar_size({
    f2h_ARSIZE[2:0] // 2:0
  })
,.b_ready({
    f2h_BREADY[0:0] // 0:0
  })
,.b_id({
    f2h_BID[3:0] // 3:0
  })
,.aw_burst({
    f2h_AWBURST[1:0] // 1:0
  })
,.rsb_ssd({
    5'b00000 // 4:0
  })
,.w_data({
    f2h_WDATA[127:0] // 127:0
  })
,.r_valid({
    f2h_RVALID[0:0] // 0:0
  })
,.ar_domain({
    2'b11 // 1:0
  })
,.w_ready({
    f2h_WREADY[0:0] // 0:0
  })
,.aw_prot({
    f2h_AWPROT[2:0] // 2:0
  })
,.r_last({
    f2h_RLAST[0:0] // 0:0
  })
,.ar_cache({
    f2h_ARCACHE[3:0] // 3:0
  })
);

defparam fpga2hps.ADDR = 32;
defparam fpga2hps.WDTH = 128;

fourteennm_hps_rl_interface_hps2fpga_light_weight hps2fpga_light_weight(
 .aw_lock({
    h2f_lw_AWLOCK[0:0] // 0:0
  })
,.w_strb({
    h2f_lw_WSTRB[3:0] // 3:0
  })
,.ar_valid({
    h2f_lw_ARVALID[0:0] // 0:0
  })
,.ar_burst({
    h2f_lw_ARBURST[1:0] // 1:0
  })
,.aw_addr({
    h2f_lw_AWADDR[20:0] // 20:0
  })
,.aw_size({
    h2f_lw_AWSIZE[2:0] // 2:0
  })
,.port_size_config_0({
    1'b0 // 0:0
  })
,.r_resp({
    h2f_lw_RRESP[1:0] // 1:0
  })
,.ar_lock({
    h2f_lw_ARLOCK[0:0] // 0:0
  })
,.b_resp({
    h2f_lw_BRESP[1:0] // 1:0
  })
,.aw_cache({
    h2f_lw_AWCACHE[3:0] // 3:0
  })
,.aw_ready({
    h2f_lw_AWREADY[0:0] // 0:0
  })
,.port_size_config_1({
    1'b0 // 0:0
  })
,.aw_id({
    h2f_lw_AWID[3:0] // 3:0
  })
,.ar_size({
    h2f_lw_ARSIZE[2:0] // 2:0
  })
,.ar_addr({
    h2f_lw_ARADDR[20:0] // 20:0
  })
,.r_id({
    h2f_lw_RID[3:0] // 3:0
  })
,.rst_n({
    h2f_lw_axi_rst_n[0:0] // 0:0
  })
,.b_ready({
    h2f_lw_BREADY[0:0] // 0:0
  })
,.b_id({
    h2f_lw_BID[3:0] // 3:0
  })
,.r_ready({
    h2f_lw_RREADY[0:0] // 0:0
  })
,.ar_id({
    h2f_lw_ARID[3:0] // 3:0
  })
,.aw_burst({
    h2f_lw_AWBURST[1:0] // 1:0
  })
,.aw_valid({
    h2f_lw_AWVALID[0:0] // 0:0
  })
,.w_data({
    h2f_lw_WDATA[31:0] // 31:0
  })
,.r_valid({
    h2f_lw_RVALID[0:0] // 0:0
  })
,.ar_len({
    h2f_lw_ARLEN[7:0] // 7:0
  })
,.b_valid({
    h2f_lw_BVALID[0:0] // 0:0
  })
,.clk({
    h2f_lw_axi_clk[0:0] // 0:0
  })
,.w_last({
    h2f_lw_WLAST[0:0] // 0:0
  })
,.w_ready({
    h2f_lw_WREADY[0:0] // 0:0
  })
,.r_data({
    h2f_lw_RDATA[31:0] // 31:0
  })
,.ready_latency({
    3'b000 // 2:0
  })
,.aw_prot({
    h2f_lw_AWPROT[2:0] // 2:0
  })
,.r_last({
    h2f_lw_RLAST[0:0] // 0:0
  })
,.ar_cache({
    h2f_lw_ARCACHE[3:0] // 3:0
  })
,.w_valid({
    h2f_lw_WVALID[0:0] // 0:0
  })
,.aw_len({
    h2f_lw_AWLEN[7:0] // 7:0
  })
,.ar_prot({
    h2f_lw_ARPROT[2:0] // 2:0
  })
,.ar_ready({
    h2f_lw_ARREADY[0:0] // 0:0
  })
);

defparam hps2fpga_light_weight.ADDR = 21;
defparam hps2fpga_light_weight.WDTH = 32;

fourteennm_hps_rl_interface_hps2fpga hps2fpga(
 .aw_lock({
    h2f_AWLOCK[0:0] // 0:0
  })
,.w_strb({
    h2f_WSTRB[15:0] // 15:0
  })
,.ar_valid({
    h2f_ARVALID[0:0] // 0:0
  })
,.ar_burst({
    h2f_ARBURST[1:0] // 1:0
  })
,.aw_addr({
    h2f_AWADDR[31:0] // 31:0
  })
,.aw_size({
    h2f_AWSIZE[2:0] // 2:0
  })
,.port_size_config_0({
    1'b0 // 0:0
  })
,.r_resp({
    h2f_RRESP[1:0] // 1:0
  })
,.ar_lock({
    h2f_ARLOCK[0:0] // 0:0
  })
,.b_resp({
    h2f_BRESP[1:0] // 1:0
  })
,.aw_cache({
    h2f_AWCACHE[3:0] // 3:0
  })
,.aw_id({
    h2f_AWID[3:0] // 3:0
  })
,.aw_ready({
    h2f_AWREADY[0:0] // 0:0
  })
,.port_size_config_1({
    1'b1 // 0:0
  })
,.ar_addr({
    h2f_ARADDR[31:0] // 31:0
  })
,.ar_size({
    h2f_ARSIZE[2:0] // 2:0
  })
,.port_size_config_2({
    1'b0 // 0:0
  })
,.r_ready({
    h2f_RREADY[0:0] // 0:0
  })
,.b_id({
    h2f_BID[3:0] // 3:0
  })
,.b_ready({
    h2f_BREADY[0:0] // 0:0
  })
,.rst_n({
    h2f_axi_rst_n[0:0] // 0:0
  })
,.r_id({
    h2f_RID[3:0] // 3:0
  })
,.aw_valid({
    h2f_AWVALID[0:0] // 0:0
  })
,.aw_burst({
    h2f_AWBURST[1:0] // 1:0
  })
,.ar_id({
    h2f_ARID[3:0] // 3:0
  })
,.w_data({
    h2f_WDATA[127:0] // 127:0
  })
,.b_valid({
    h2f_BVALID[0:0] // 0:0
  })
,.ar_len({
    h2f_ARLEN[7:0] // 7:0
  })
,.r_valid({
    h2f_RVALID[0:0] // 0:0
  })
,.w_last({
    h2f_WLAST[0:0] // 0:0
  })
,.clk({
    h2f_axi_clk[0:0] // 0:0
  })
,.r_data({
    h2f_RDATA[127:0] // 127:0
  })
,.w_ready({
    h2f_WREADY[0:0] // 0:0
  })
,.aw_prot({
    h2f_AWPROT[2:0] // 2:0
  })
,.ready_latency({
    3'b000 // 2:0
  })
,.r_last({
    h2f_RLAST[0:0] // 0:0
  })
,.aw_len({
    h2f_AWLEN[7:0] // 7:0
  })
,.w_valid({
    h2f_WVALID[0:0] // 0:0
  })
,.ar_cache({
    h2f_ARCACHE[3:0] // 3:0
  })
,.ar_ready({
    h2f_ARREADY[0:0] // 0:0
  })
,.ar_prot({
    h2f_ARPROT[2:0] // 2:0
  })
);

defparam hps2fpga.ADDR = 32;
defparam hps2fpga.WDTH = 128;

fourteennm_hps_rl_fpga2sdram f2sdram(
 .fpga2sdram1_w_strb({
    f2sdram1_WSTRB[15:0] // 15:0
  })
,.fpga2sdram1_b_valid({
    f2sdram1_BVALID[0:0] // 0:0
  })
,.fpga2sdram2_b_valid({
    f2sdram2_BVALID[0:0] // 0:0
  })
,.fpga2sdram2_ar_len({
    f2sdram2_ARLEN[7:0] // 7:0
  })
,.fpga2sdram1_aw_cache({
    f2sdram1_AWCACHE[3:0] // 3:0
  })
,.fpga2sdram0_ar_qos({
    f2sdram0_ARQOS[3:0] // 3:0
  })
,.fpga2sdram2_r_data({
    f2sdram2_RDATA[127:0] // 127:0
  })
,.fpga2sdram2_port_size_config({
    4'b0010 // 3:0
  })
,.fpga2sdram0_w_valid({
    f2sdram0_WVALID[0:0] // 0:0
  })
,.fpga2sdram0_ar_cache({
    f2sdram0_ARCACHE[3:0] // 3:0
  })
,.fpga2sdram2_ready_latency({
    3'b000 // 2:0
  })
,.fpga2sdram1_w_valid({
    f2sdram1_WVALID[0:0] // 0:0
  })
,.fpga2sdram0_ar_prot({
    f2sdram0_ARPROT[2:0] // 2:0
  })
,.fpga2sdram1_ar_prot({
    f2sdram1_ARPROT[2:0] // 2:0
  })
,.fpga2sdram2_w_valid({
    f2sdram2_WVALID[0:0] // 0:0
  })
,.fpga2sdram0_aw_lock({
    f2sdram0_AWLOCK[0:0] // 0:0
  })
,.f2s_sdram0_rst_n({
    f2sdram0_rst_n[0:0] // 0:0
  })
,.fpga2sdram1_aw_burst({
    f2sdram1_AWBURST[1:0] // 1:0
  })
,.fpga2sdram2_ar_prot({
    f2sdram2_ARPROT[2:0] // 2:0
  })
,.fpga2sdram1_aw_lock({
    f2sdram1_AWLOCK[0:0] // 0:0
  })
,.fpga2sdram0_w_strb({
    f2sdram0_WSTRB[15:0] // 15:0
  })
,.fpga2sdram2_aw_lock({
    f2sdram2_AWLOCK[0:0] // 0:0
  })
,.fpga2sdram0_ar_burst({
    f2sdram0_ARBURST[1:0] // 1:0
  })
,.fpga2sdram1_ar_len({
    f2sdram1_ARLEN[7:0] // 7:0
  })
,.fpga2sdram0_aw_addr({
    5'b00000 // 36:32
   ,f2sdram0_AWADDR[31:0] // 31:0
  })
,.fpga2sdram1_aw_addr({
    5'b00000 // 36:32
   ,f2sdram1_AWADDR[31:0] // 31:0
  })
,.fpga2sdram2_aw_addr({
    5'b00000 // 36:32
   ,f2sdram2_AWADDR[31:0] // 31:0
  })
,.fpga2sdram1_r_data({
    f2sdram1_RDATA[127:0] // 127:0
  })
,.fpga2sdram2_aw_cache({
    f2sdram2_AWCACHE[3:0] // 3:0
  })
,.fpga2sdram0_ar_size({
    f2sdram0_ARSIZE[2:0] // 2:0
  })
,.f2s_sdram1_clk({
    f2sdram1_clk[0:0] // 0:0
  })
,.fpga2sdram1_ar_size({
    f2sdram1_ARSIZE[2:0] // 2:0
  })
,.fpga2sdram0_r_id({
    f2sdram0_RID[3:0] // 3:0
  })
,.fpga2sdram0_b_ready({
    f2sdram0_BREADY[0:0] // 0:0
  })
,.fpga2sdram2_ar_size({
    f2sdram2_ARSIZE[2:0] // 2:0
  })
,.fpga2sdram1_b_ready({
    f2sdram1_BREADY[0:0] // 0:0
  })
,.fpga2sdram0_aw_valid({
    f2sdram0_AWVALID[0:0] // 0:0
  })
,.fpga2sdram1_ar_cache({
    f2sdram1_ARCACHE[3:0] // 3:0
  })
,.fpga2sdram2_b_ready({
    f2sdram2_BREADY[0:0] // 0:0
  })
,.fpga2sdram2_b_id({
    f2sdram2_BID[3:0] // 3:0
  })
,.fpga2sdram2_aw_burst({
    f2sdram2_AWBURST[1:0] // 1:0
  })
,.fpga2sdram0_r_valid({
    f2sdram0_RVALID[0:0] // 0:0
  })
,.fpga2sdram0_ar_len({
    f2sdram0_ARLEN[7:0] // 7:0
  })
,.fpga2sdram2_w_data({
    f2sdram2_WDATA[127:0] // 127:0
  })
,.fpga2sdram1_r_valid({
    f2sdram1_RVALID[0:0] // 0:0
  })
,.fpga2sdram0_w_ready({
    f2sdram0_WREADY[0:0] // 0:0
  })
,.fpga2sdram0_r_data({
    f2sdram0_RDATA[127:0] // 127:0
  })
,.fpga2sdram1_ar_burst({
    f2sdram1_ARBURST[1:0] // 1:0
  })
,.fpga2sdram2_r_valid({
    f2sdram2_RVALID[0:0] // 0:0
  })
,.fpga2sdram1_w_ready({
    f2sdram1_WREADY[0:0] // 0:0
  })
,.fpga2sdram0_aw_prot({
    f2sdram0_AWPROT[2:0] // 2:0
  })
,.fpga2sdram2_w_ready({
    f2sdram2_WREADY[0:0] // 0:0
  })
,.fpga2sdram1_aw_prot({
    f2sdram1_AWPROT[2:0] // 2:0
  })
,.fpga2sdram1_ready_latency({
    3'b000 // 2:0
  })
,.fpga2sdram2_aw_prot({
    f2sdram2_AWPROT[2:0] // 2:0
  })
,.fpga2sdram2_r_last({
    f2sdram2_RLAST[0:0] // 0:0
  })
,.fpga2sdram2_ar_cache({
    f2sdram2_ARCACHE[3:0] // 3:0
  })
,.fpga2sdram1_aw_valid({
    f2sdram1_AWVALID[0:0] // 0:0
  })
,.fpga2sdram1_w_data({
    f2sdram1_WDATA[127:0] // 127:0
  })
,.fpga2sdram0_ar_valid({
    f2sdram0_ARVALID[0:0] // 0:0
  })
,.fpga2sdram0_aw_size({
    f2sdram0_AWSIZE[2:0] // 2:0
  })
,.fpga2sdram1_aw_size({
    f2sdram1_AWSIZE[2:0] // 2:0
  })
,.fpga2sdram2_aw_size({
    f2sdram2_AWSIZE[2:0] // 2:0
  })
,.fpga2sdram2_aw_qos({
    f2sdram2_AWQOS[3:0] // 3:0
  })
,.fpga2sdram2_ar_burst({
    f2sdram2_ARBURST[1:0] // 1:0
  })
,.fpga2sdram0_aw_ready({
    f2sdram0_AWREADY[0:0] // 0:0
  })
,.fpga2sdram2_b_resp({
    f2sdram2_BRESP[1:0] // 1:0
  })
,.fpga2sdram2_aw_id({
    f2sdram2_AWID[3:0] // 3:0
  })
,.fpga2sdram0_r_ready({
    f2sdram0_RREADY[0:0] // 0:0
  })
,.fpga2sdram1_r_last({
    f2sdram1_RLAST[0:0] // 0:0
  })
,.fpga2sdram1_r_ready({
    f2sdram1_RREADY[0:0] // 0:0
  })
,.fpga2sdram2_r_ready({
    f2sdram2_RREADY[0:0] // 0:0
  })
,.fpga2sdram2_r_id({
    f2sdram2_RID[3:0] // 3:0
  })
,.fpga2sdram0_w_data({
    f2sdram0_WDATA[127:0] // 127:0
  })
,.fpga2sdram2_ar_id({
    f2sdram2_ARID[3:0] // 3:0
  })
,.fpga2sdram2_aw_valid({
    f2sdram2_AWVALID[0:0] // 0:0
  })
,.fpga2sdram1_ar_valid({
    f2sdram1_ARVALID[0:0] // 0:0
  })
,.fpga2sdram1_aw_qos({
    f2sdram1_AWQOS[3:0] // 3:0
  })
,.fpga2sdram0_ready_latency({
    3'b000 // 2:0
  })
,.fpga2sdram1_b_resp({
    f2sdram1_BRESP[1:0] // 1:0
  })
,.fpga2sdram2_w_last({
    f2sdram2_WLAST[0:0] // 0:0
  })
,.fpga2sdram1_aw_ready({
    f2sdram1_AWREADY[0:0] // 0:0
  })
,.fpga2sdram0_r_last({
    f2sdram0_RLAST[0:0] // 0:0
  })
,.fpga2sdram0_ar_ready({
    f2sdram0_ARREADY[0:0] // 0:0
  })
,.fpga2sdram1_b_id({
    f2sdram1_BID[3:0] // 3:0
  })
,.fpga2sdram2_aw_len({
    f2sdram2_AWLEN[7:0] // 7:0
  })
,.fpga2sdram0_aw_qos({
    f2sdram0_AWQOS[3:0] // 3:0
  })
,.f2s_sdram2_rst_n({
    f2sdram2_rst_n[0:0] // 0:0
  })
,.fpga2sdram1_w_last({
    f2sdram1_WLAST[0:0] // 0:0
  })
,.fpga2sdram0_b_resp({
    f2sdram0_BRESP[1:0] // 1:0
  })
,.fpga2sdram2_ar_valid({
    f2sdram2_ARVALID[0:0] // 0:0
  })
,.f2s_sdram0_clk({
    f2sdram0_clk[0:0] // 0:0
  })
,.fpga2sdram1_aw_id({
    f2sdram1_AWID[3:0] // 3:0
  })
,.fpga2sdram2_r_resp({
    f2sdram2_RRESP[1:0] // 1:0
  })
,.f2s_sdram2_clk({
    f2sdram2_clk[0:0] // 0:0
  })
,.fpga2sdram2_aw_ready({
    f2sdram2_AWREADY[0:0] // 0:0
  })
,.fpga2sdram1_aw_len({
    f2sdram1_AWLEN[7:0] // 7:0
  })
,.fpga2sdram1_ar_id({
    f2sdram1_ARID[3:0] // 3:0
  })
,.fpga2sdram1_ar_ready({
    f2sdram1_ARREADY[0:0] // 0:0
  })
,.fpga2sdram0_w_last({
    f2sdram0_WLAST[0:0] // 0:0
  })
,.fpga2sdram1_r_resp({
    f2sdram1_RRESP[1:0] // 1:0
  })
,.fpga2sdram0_port_size_config({
    4'b0010 // 3:0
  })
,.fpga2sdram0_aw_len({
    f2sdram0_AWLEN[7:0] // 7:0
  })
,.fpga2sdram1_r_id({
    f2sdram1_RID[3:0] // 3:0
  })
,.fpga2sdram2_ar_qos({
    f2sdram2_ARQOS[3:0] // 3:0
  })
,.fpga2sdram2_ar_ready({
    f2sdram2_ARREADY[0:0] // 0:0
  })
,.f2s_sdram1_rst_n({
    f2sdram1_rst_n[0:0] // 0:0
  })
,.fpga2sdram0_r_resp({
    f2sdram0_RRESP[1:0] // 1:0
  })
,.fpga2sdram0_ar_lock({
    f2sdram0_ARLOCK[0:0] // 0:0
  })
,.fpga2sdram0_aw_cache({
    f2sdram0_AWCACHE[3:0] // 3:0
  })
,.fpga2sdram2_w_strb({
    f2sdram2_WSTRB[15:0] // 15:0
  })
,.fpga2sdram0_aw_id({
    f2sdram0_AWID[3:0] // 3:0
  })
,.fpga2sdram1_ar_lock({
    f2sdram1_ARLOCK[0:0] // 0:0
  })
,.fpga2sdram0_ar_addr({
    5'b00000 // 36:32
   ,f2sdram0_ARADDR[31:0] // 31:0
  })
,.fpga2sdram2_ar_lock({
    f2sdram2_ARLOCK[0:0] // 0:0
  })
,.fpga2sdram1_port_size_config({
    4'b0010 // 3:0
  })
,.fpga2sdram1_ar_addr({
    5'b00000 // 36:32
   ,f2sdram1_ARADDR[31:0] // 31:0
  })
,.fpga2sdram1_ar_qos({
    f2sdram1_ARQOS[3:0] // 3:0
  })
,.fpga2sdram0_b_id({
    f2sdram0_BID[3:0] // 3:0
  })
,.fpga2sdram2_ar_addr({
    5'b00000 // 36:32
   ,f2sdram2_ARADDR[31:0] // 31:0
  })
,.fpga2sdram0_ar_id({
    f2sdram0_ARID[3:0] // 3:0
  })
,.fpga2sdram0_aw_burst({
    f2sdram0_AWBURST[1:0] // 1:0
  })
,.fpga2sdram0_b_valid({
    f2sdram0_BVALID[0:0] // 0:0
  })
);

defparam f2sdram.WDTH1 = 128;
defparam f2sdram.ADTH0 = 32;
defparam f2sdram.WDTH2 = 128;
defparam f2sdram.ADTH1 = 32;
defparam f2sdram.ADTH2 = 32;
defparam f2sdram.WDTH0 = 128;

fourteennm_hps_mpfe_interrupts f2h_interrupts(
 .f2s_fpga_irq({
    f2h_irq_p1[31:0] // 63:32
   ,f2h_irq_p0[31:0] // 31:0
  })
);


fourteennm_hps_interface_peripheral_emac peripheral_emac1(
 .phy_crs_i({
    emac1_phy_crs_i[0:0] // 0:0
  })
,.phy_rxer_i({
    emac1_phy_rxer_i[0:0] // 0:0
  })
,.phy_txclk_o_hio({
    emac1_phy_txclk_o[0:0] // 0:0
  })
,.gmii_mdo_o({
    emac1_gmii_mdo_o[0:0] // 0:0
  })
,.ptp_tstmp_data({
    emac1_ptp_tstmp_data[0:0] // 0:0
  })
,.ptp_aux_ts_trig_i({
    emac1_ptp_aux_ts_trig_i[0:0] // 0:0
  })
,.ptp_pps_o({
    emac1_ptp_pps_o[0:0] // 0:0
  })
,.ptp_tstmp_en({
    emac1_ptp_tstmp_en[0:0] // 0:0
  })
,.phy_txen_o({
    emac1_phy_txen_o[0:0] // 0:0
  })
,.rst_clk_rx_n_o({
    emac1_rst_clk_rx_n_o[0:0] // 0:0
  })
,.phy_rxd_i({
    emac1_phy_rxd_i[7:0] // 7:0
  })
,.phy_mac_speed_o({
    emac1_phy_mac_speed_o[1:0] // 1:0
  })
,.gmii_mdi_i({
    emac1_gmii_mdi_i[0:0] // 0:0
  })
,.gmii_mdc_o({
    emac1_gmii_mdc_o[0:0] // 0:0
  })
,.rst_clk_tx_n_o({
    emac1_rst_clk_tx_n_o[0:0] // 0:0
  })
,.phy_txer_o({
    emac1_phy_txer_o[0:0] // 0:0
  })
,.phy_rxclk_i({
    emac1_clk_rx_i[0:0] // 0:0
  })
,.phy_rxdv_i({
    emac1_phy_rxdv_i[0:0] // 0:0
  })
,.phy_txd_o({
    emac1_phy_txd_o[7:0] // 7:0
  })
,.phy_col_i({
    emac1_phy_col_i[0:0] // 0:0
  })
,.phy_txclk_i({
    emac1_clk_tx_i[0:0] // 0:0
  })
,.gmii_mdo_o_e({
    emac1_gmii_mdo_o_e[0:0] // 0:0
  })
);


fourteennm_hps_interface_peripheral_emac peripheral_emac2(
 .phy_crs_i({
    emac2_phy_crs_i[0:0] // 0:0
  })
,.phy_rxer_i({
    emac2_phy_rxer_i[0:0] // 0:0
  })
,.phy_txclk_o_hio({
    emac2_phy_txclk_o[0:0] // 0:0
  })
,.gmii_mdo_o({
    emac2_gmii_mdo_o[0:0] // 0:0
  })
,.ptp_tstmp_data({
    emac2_ptp_tstmp_data[0:0] // 0:0
  })
,.ptp_aux_ts_trig_i({
    emac2_ptp_aux_ts_trig_i[0:0] // 0:0
  })
,.ptp_pps_o({
    emac2_ptp_pps_o[0:0] // 0:0
  })
,.ptp_tstmp_en({
    emac2_ptp_tstmp_en[0:0] // 0:0
  })
,.phy_txen_o({
    emac2_phy_txen_o[0:0] // 0:0
  })
,.rst_clk_rx_n_o({
    emac2_rst_clk_rx_n_o[0:0] // 0:0
  })
,.phy_rxd_i({
    emac2_phy_rxd_i[7:0] // 7:0
  })
,.phy_mac_speed_o({
    emac2_phy_mac_speed_o[1:0] // 1:0
  })
,.gmii_mdi_i({
    emac2_gmii_mdi_i[0:0] // 0:0
  })
,.gmii_mdc_o({
    emac2_gmii_mdc_o[0:0] // 0:0
  })
,.rst_clk_tx_n_o({
    emac2_rst_clk_tx_n_o[0:0] // 0:0
  })
,.phy_txer_o({
    emac2_phy_txer_o[0:0] // 0:0
  })
,.phy_rxclk_i({
    emac2_clk_rx_i[0:0] // 0:0
  })
,.phy_rxdv_i({
    emac2_phy_rxdv_i[0:0] // 0:0
  })
,.phy_txd_o({
    emac2_phy_txd_o[7:0] // 7:0
  })
,.phy_col_i({
    emac2_phy_col_i[0:0] // 0:0
  })
,.phy_txclk_i({
    emac2_clk_tx_i[0:0] // 0:0
  })
,.gmii_mdo_o_e({
    emac2_gmii_mdo_o_e[0:0] // 0:0
  })
);

endmodule

