	s10_hps u0 (
		.h2f_watchdog_rst          (_connected_to_h2f_watchdog_rst_),          //  output,     width = 1,   h2f_watchdog_rst.reset_n
		.f2h_stm_hwevents          (_connected_to_f2h_stm_hwevents_),          //   input,    width = 43,  f2h_stm_hw_events.stm_hwevents
		.hps_emif_emif_to_hps      (_connected_to_hps_emif_emif_to_hps_),      //   input,  width = 4096,           hps_emif.emif_to_hps
		.hps_emif_hps_to_emif      (_connected_to_hps_emif_hps_to_emif_),      //  output,  width = 4096,                   .hps_to_emif
		.hps_emif_emif_to_gp       (_connected_to_hps_emif_emif_to_gp_),       //   input,     width = 1,                   .emif_to_gp
		.hps_emif_gp_to_emif       (_connected_to_hps_emif_gp_to_emif_),       //  output,     width = 2,                   .gp_to_emif
		.emac_ptp_ref_clk          (_connected_to_emac_ptp_ref_clk_),          //   input,     width = 1, emac_ptp_ref_clock.clk
		.emac1_phy_mac_speed_o     (_connected_to_emac1_phy_mac_speed_o_),     //  output,     width = 2,              emac1.phy_mac_speed_o
		.emac1_phy_txd_o           (_connected_to_emac1_phy_txd_o_),           //  output,     width = 8,                   .phy_txd_o
		.emac1_phy_txen_o          (_connected_to_emac1_phy_txen_o_),          //  output,     width = 1,                   .phy_txen_o
		.emac1_phy_txer_o          (_connected_to_emac1_phy_txer_o_),          //  output,     width = 1,                   .phy_txer_o
		.emac1_phy_rxdv_i          (_connected_to_emac1_phy_rxdv_i_),          //   input,     width = 1,                   .phy_rxdv_i
		.emac1_phy_rxer_i          (_connected_to_emac1_phy_rxer_i_),          //   input,     width = 1,                   .phy_rxer_i
		.emac1_phy_rxd_i           (_connected_to_emac1_phy_rxd_i_),           //   input,     width = 8,                   .phy_rxd_i
		.emac1_phy_col_i           (_connected_to_emac1_phy_col_i_),           //   input,     width = 1,                   .phy_col_i
		.emac1_phy_crs_i           (_connected_to_emac1_phy_crs_i_),           //   input,     width = 1,                   .phy_crs_i
		.emac1_gmii_mdo_o          (_connected_to_emac1_gmii_mdo_o_),          //  output,     width = 1,                   .gmii_mdo_o
		.emac1_gmii_mdo_o_e        (_connected_to_emac1_gmii_mdo_o_e_),        //  output,     width = 1,                   .gmii_mdo_o_e
		.emac1_gmii_mdi_i          (_connected_to_emac1_gmii_mdi_i_),          //   input,     width = 1,                   .gmii_mdi_i
		.emac1_ptp_pps_o           (_connected_to_emac1_ptp_pps_o_),           //  output,     width = 1,                   .ptp_pps_o
		.emac1_ptp_aux_ts_trig_i   (_connected_to_emac1_ptp_aux_ts_trig_i_),   //   input,     width = 1,                   .ptp_aux_ts_trig_i
		.emac1_ptp_tstmp_data      (_connected_to_emac1_ptp_tstmp_data_),      //  output,     width = 1,                   .ptp_tstmp_data
		.emac1_ptp_tstmp_en        (_connected_to_emac1_ptp_tstmp_en_),        //  output,     width = 1,                   .ptp_tstmp_en
		.emac1_gmii_mdc_o          (_connected_to_emac1_gmii_mdc_o_),          //  output,     width = 1,       emac1_md_clk.clk
		.emac1_clk_rx_i            (_connected_to_emac1_clk_rx_i_),            //   input,     width = 1,    emac1_rx_clk_in.clk
		.emac1_clk_tx_i            (_connected_to_emac1_clk_tx_i_),            //   input,     width = 1,    emac1_tx_clk_in.clk
		.emac1_phy_txclk_o         (_connected_to_emac1_phy_txclk_o_),         //  output,     width = 1,      emac1_gtx_clk.clk
		.emac1_rst_clk_tx_n_o      (_connected_to_emac1_rst_clk_tx_n_o_),      //  output,     width = 1,     emac1_tx_reset.reset_n
		.emac1_rst_clk_rx_n_o      (_connected_to_emac1_rst_clk_rx_n_o_),      //  output,     width = 1,     emac1_rx_reset.reset_n
		.emac2_phy_mac_speed_o     (_connected_to_emac2_phy_mac_speed_o_),     //  output,     width = 2,              emac2.phy_mac_speed_o
		.emac2_phy_txd_o           (_connected_to_emac2_phy_txd_o_),           //  output,     width = 8,                   .phy_txd_o
		.emac2_phy_txen_o          (_connected_to_emac2_phy_txen_o_),          //  output,     width = 1,                   .phy_txen_o
		.emac2_phy_txer_o          (_connected_to_emac2_phy_txer_o_),          //  output,     width = 1,                   .phy_txer_o
		.emac2_phy_rxdv_i          (_connected_to_emac2_phy_rxdv_i_),          //   input,     width = 1,                   .phy_rxdv_i
		.emac2_phy_rxer_i          (_connected_to_emac2_phy_rxer_i_),          //   input,     width = 1,                   .phy_rxer_i
		.emac2_phy_rxd_i           (_connected_to_emac2_phy_rxd_i_),           //   input,     width = 8,                   .phy_rxd_i
		.emac2_phy_col_i           (_connected_to_emac2_phy_col_i_),           //   input,     width = 1,                   .phy_col_i
		.emac2_phy_crs_i           (_connected_to_emac2_phy_crs_i_),           //   input,     width = 1,                   .phy_crs_i
		.emac2_gmii_mdo_o          (_connected_to_emac2_gmii_mdo_o_),          //  output,     width = 1,                   .gmii_mdo_o
		.emac2_gmii_mdo_o_e        (_connected_to_emac2_gmii_mdo_o_e_),        //  output,     width = 1,                   .gmii_mdo_o_e
		.emac2_gmii_mdi_i          (_connected_to_emac2_gmii_mdi_i_),          //   input,     width = 1,                   .gmii_mdi_i
		.emac2_ptp_pps_o           (_connected_to_emac2_ptp_pps_o_),           //  output,     width = 1,                   .ptp_pps_o
		.emac2_ptp_aux_ts_trig_i   (_connected_to_emac2_ptp_aux_ts_trig_i_),   //   input,     width = 1,                   .ptp_aux_ts_trig_i
		.emac2_ptp_tstmp_data      (_connected_to_emac2_ptp_tstmp_data_),      //  output,     width = 1,                   .ptp_tstmp_data
		.emac2_ptp_tstmp_en        (_connected_to_emac2_ptp_tstmp_en_),        //  output,     width = 1,                   .ptp_tstmp_en
		.emac2_gmii_mdc_o          (_connected_to_emac2_gmii_mdc_o_),          //  output,     width = 1,       emac2_md_clk.clk
		.emac2_clk_rx_i            (_connected_to_emac2_clk_rx_i_),            //   input,     width = 1,    emac2_rx_clk_in.clk
		.emac2_clk_tx_i            (_connected_to_emac2_clk_tx_i_),            //   input,     width = 1,    emac2_tx_clk_in.clk
		.emac2_phy_txclk_o         (_connected_to_emac2_phy_txclk_o_),         //  output,     width = 1,      emac2_gtx_clk.clk
		.emac2_rst_clk_tx_n_o      (_connected_to_emac2_rst_clk_tx_n_o_),      //  output,     width = 1,     emac2_tx_reset.reset_n
		.emac2_rst_clk_rx_n_o      (_connected_to_emac2_rst_clk_rx_n_o_),      //  output,     width = 1,     emac2_rx_reset.reset_n
		.hps_io_phery_emac0_TX_CLK (_connected_to_hps_io_phery_emac0_TX_CLK_), //  output,     width = 1,             hps_io.hps_io_phery_emac0_TX_CLK
		.hps_io_phery_emac0_TXD0   (_connected_to_hps_io_phery_emac0_TXD0_),   //  output,     width = 1,                   .hps_io_phery_emac0_TXD0
		.hps_io_phery_emac0_TXD1   (_connected_to_hps_io_phery_emac0_TXD1_),   //  output,     width = 1,                   .hps_io_phery_emac0_TXD1
		.hps_io_phery_emac0_TXD2   (_connected_to_hps_io_phery_emac0_TXD2_),   //  output,     width = 1,                   .hps_io_phery_emac0_TXD2
		.hps_io_phery_emac0_TXD3   (_connected_to_hps_io_phery_emac0_TXD3_),   //  output,     width = 1,                   .hps_io_phery_emac0_TXD3
		.hps_io_phery_emac0_RX_CTL (_connected_to_hps_io_phery_emac0_RX_CTL_), //   input,     width = 1,                   .hps_io_phery_emac0_RX_CTL
		.hps_io_phery_emac0_TX_CTL (_connected_to_hps_io_phery_emac0_TX_CTL_), //  output,     width = 1,                   .hps_io_phery_emac0_TX_CTL
		.hps_io_phery_emac0_RX_CLK (_connected_to_hps_io_phery_emac0_RX_CLK_), //   input,     width = 1,                   .hps_io_phery_emac0_RX_CLK
		.hps_io_phery_emac0_RXD0   (_connected_to_hps_io_phery_emac0_RXD0_),   //   input,     width = 1,                   .hps_io_phery_emac0_RXD0
		.hps_io_phery_emac0_RXD1   (_connected_to_hps_io_phery_emac0_RXD1_),   //   input,     width = 1,                   .hps_io_phery_emac0_RXD1
		.hps_io_phery_emac0_RXD2   (_connected_to_hps_io_phery_emac0_RXD2_),   //   input,     width = 1,                   .hps_io_phery_emac0_RXD2
		.hps_io_phery_emac0_RXD3   (_connected_to_hps_io_phery_emac0_RXD3_),   //   input,     width = 1,                   .hps_io_phery_emac0_RXD3
		.hps_io_phery_emac0_MDIO   (_connected_to_hps_io_phery_emac0_MDIO_),   //   inout,     width = 1,                   .hps_io_phery_emac0_MDIO
		.hps_io_phery_emac0_MDC    (_connected_to_hps_io_phery_emac0_MDC_),    //  output,     width = 1,                   .hps_io_phery_emac0_MDC
		.hps_io_phery_sdmmc_CMD    (_connected_to_hps_io_phery_sdmmc_CMD_),    //   inout,     width = 1,                   .hps_io_phery_sdmmc_CMD
		.hps_io_phery_sdmmc_D0     (_connected_to_hps_io_phery_sdmmc_D0_),     //   inout,     width = 1,                   .hps_io_phery_sdmmc_D0
		.hps_io_phery_sdmmc_D1     (_connected_to_hps_io_phery_sdmmc_D1_),     //   inout,     width = 1,                   .hps_io_phery_sdmmc_D1
		.hps_io_phery_sdmmc_D2     (_connected_to_hps_io_phery_sdmmc_D2_),     //   inout,     width = 1,                   .hps_io_phery_sdmmc_D2
		.hps_io_phery_sdmmc_D3     (_connected_to_hps_io_phery_sdmmc_D3_),     //   inout,     width = 1,                   .hps_io_phery_sdmmc_D3
		.hps_io_phery_sdmmc_CCLK   (_connected_to_hps_io_phery_sdmmc_CCLK_),   //  output,     width = 1,                   .hps_io_phery_sdmmc_CCLK
		.hps_io_phery_usb0_DATA0   (_connected_to_hps_io_phery_usb0_DATA0_),   //   inout,     width = 1,                   .hps_io_phery_usb0_DATA0
		.hps_io_phery_usb0_DATA1   (_connected_to_hps_io_phery_usb0_DATA1_),   //   inout,     width = 1,                   .hps_io_phery_usb0_DATA1
		.hps_io_phery_usb0_DATA2   (_connected_to_hps_io_phery_usb0_DATA2_),   //   inout,     width = 1,                   .hps_io_phery_usb0_DATA2
		.hps_io_phery_usb0_DATA3   (_connected_to_hps_io_phery_usb0_DATA3_),   //   inout,     width = 1,                   .hps_io_phery_usb0_DATA3
		.hps_io_phery_usb0_DATA4   (_connected_to_hps_io_phery_usb0_DATA4_),   //   inout,     width = 1,                   .hps_io_phery_usb0_DATA4
		.hps_io_phery_usb0_DATA5   (_connected_to_hps_io_phery_usb0_DATA5_),   //   inout,     width = 1,                   .hps_io_phery_usb0_DATA5
		.hps_io_phery_usb0_DATA6   (_connected_to_hps_io_phery_usb0_DATA6_),   //   inout,     width = 1,                   .hps_io_phery_usb0_DATA6
		.hps_io_phery_usb0_DATA7   (_connected_to_hps_io_phery_usb0_DATA7_),   //   inout,     width = 1,                   .hps_io_phery_usb0_DATA7
		.hps_io_phery_usb0_CLK     (_connected_to_hps_io_phery_usb0_CLK_),     //   input,     width = 1,                   .hps_io_phery_usb0_CLK
		.hps_io_phery_usb0_STP     (_connected_to_hps_io_phery_usb0_STP_),     //  output,     width = 1,                   .hps_io_phery_usb0_STP
		.hps_io_phery_usb0_DIR     (_connected_to_hps_io_phery_usb0_DIR_),     //   input,     width = 1,                   .hps_io_phery_usb0_DIR
		.hps_io_phery_usb0_NXT     (_connected_to_hps_io_phery_usb0_NXT_),     //   input,     width = 1,                   .hps_io_phery_usb0_NXT
		.hps_io_phery_uart0_RX     (_connected_to_hps_io_phery_uart0_RX_),     //   input,     width = 1,                   .hps_io_phery_uart0_RX
		.hps_io_phery_uart0_TX     (_connected_to_hps_io_phery_uart0_TX_),     //  output,     width = 1,                   .hps_io_phery_uart0_TX
		.hps_io_phery_i2c1_SDA     (_connected_to_hps_io_phery_i2c1_SDA_),     //   inout,     width = 1,                   .hps_io_phery_i2c1_SDA
		.hps_io_phery_i2c1_SCL     (_connected_to_hps_io_phery_i2c1_SCL_),     //   inout,     width = 1,                   .hps_io_phery_i2c1_SCL
		.hps_io_gpio_gpio1_io0     (_connected_to_hps_io_gpio_gpio1_io0_),     //   inout,     width = 1,                   .hps_io_gpio_gpio1_io0
		.hps_io_gpio_gpio1_io1     (_connected_to_hps_io_gpio_gpio1_io1_),     //   inout,     width = 1,                   .hps_io_gpio_gpio1_io1
		.hps_io_gpio_gpio1_io4     (_connected_to_hps_io_gpio_gpio1_io4_),     //   inout,     width = 1,                   .hps_io_gpio_gpio1_io4
		.hps_io_gpio_gpio1_io5     (_connected_to_hps_io_gpio_gpio1_io5_),     //   inout,     width = 1,                   .hps_io_gpio_gpio1_io5
		.hps_io_jtag_tck           (_connected_to_hps_io_jtag_tck_),           //   input,     width = 1,                   .hps_io_jtag_tck
		.hps_io_jtag_tms           (_connected_to_hps_io_jtag_tms_),           //   input,     width = 1,                   .hps_io_jtag_tms
		.hps_io_jtag_tdo           (_connected_to_hps_io_jtag_tdo_),           //  output,     width = 1,                   .hps_io_jtag_tdo
		.hps_io_jtag_tdi           (_connected_to_hps_io_jtag_tdi_),           //   input,     width = 1,                   .hps_io_jtag_tdi
		.hps_io_hps_ocs_clk        (_connected_to_hps_io_hps_ocs_clk_),        //   input,     width = 1,                   .hps_io_hps_ocs_clk
		.hps_io_gpio_gpio1_io19    (_connected_to_hps_io_gpio_gpio1_io19_),    //   inout,     width = 1,                   .hps_io_gpio_gpio1_io19
		.hps_io_gpio_gpio1_io20    (_connected_to_hps_io_gpio_gpio1_io20_),    //   inout,     width = 1,                   .hps_io_gpio_gpio1_io20
		.hps_io_gpio_gpio1_io21    (_connected_to_hps_io_gpio_gpio1_io21_),    //   inout,     width = 1,                   .hps_io_gpio_gpio1_io21
		.h2f_rst                   (_connected_to_h2f_rst_),                   //  output,     width = 1,          h2f_reset.reset
		.h2f_axi_clk               (_connected_to_h2f_axi_clk_),               //   input,     width = 1,      h2f_axi_clock.clk
		.h2f_axi_rst_n             (_connected_to_h2f_axi_rst_n_),             //   input,     width = 1,      h2f_axi_reset.reset_n
		.h2f_AWID                  (_connected_to_h2f_AWID_),                  //  output,     width = 4,     h2f_axi_master.awid
		.h2f_AWADDR                (_connected_to_h2f_AWADDR_),                //  output,    width = 32,                   .awaddr
		.h2f_AWLEN                 (_connected_to_h2f_AWLEN_),                 //  output,     width = 8,                   .awlen
		.h2f_AWSIZE                (_connected_to_h2f_AWSIZE_),                //  output,     width = 3,                   .awsize
		.h2f_AWBURST               (_connected_to_h2f_AWBURST_),               //  output,     width = 2,                   .awburst
		.h2f_AWLOCK                (_connected_to_h2f_AWLOCK_),                //  output,     width = 1,                   .awlock
		.h2f_AWCACHE               (_connected_to_h2f_AWCACHE_),               //  output,     width = 4,                   .awcache
		.h2f_AWPROT                (_connected_to_h2f_AWPROT_),                //  output,     width = 3,                   .awprot
		.h2f_AWVALID               (_connected_to_h2f_AWVALID_),               //  output,     width = 1,                   .awvalid
		.h2f_AWREADY               (_connected_to_h2f_AWREADY_),               //   input,     width = 1,                   .awready
		.h2f_WDATA                 (_connected_to_h2f_WDATA_),                 //  output,   width = 128,                   .wdata
		.h2f_WSTRB                 (_connected_to_h2f_WSTRB_),                 //  output,    width = 16,                   .wstrb
		.h2f_WLAST                 (_connected_to_h2f_WLAST_),                 //  output,     width = 1,                   .wlast
		.h2f_WVALID                (_connected_to_h2f_WVALID_),                //  output,     width = 1,                   .wvalid
		.h2f_WREADY                (_connected_to_h2f_WREADY_),                //   input,     width = 1,                   .wready
		.h2f_BID                   (_connected_to_h2f_BID_),                   //   input,     width = 4,                   .bid
		.h2f_BRESP                 (_connected_to_h2f_BRESP_),                 //   input,     width = 2,                   .bresp
		.h2f_BVALID                (_connected_to_h2f_BVALID_),                //   input,     width = 1,                   .bvalid
		.h2f_BREADY                (_connected_to_h2f_BREADY_),                //  output,     width = 1,                   .bready
		.h2f_ARID                  (_connected_to_h2f_ARID_),                  //  output,     width = 4,                   .arid
		.h2f_ARADDR                (_connected_to_h2f_ARADDR_),                //  output,    width = 32,                   .araddr
		.h2f_ARLEN                 (_connected_to_h2f_ARLEN_),                 //  output,     width = 8,                   .arlen
		.h2f_ARSIZE                (_connected_to_h2f_ARSIZE_),                //  output,     width = 3,                   .arsize
		.h2f_ARBURST               (_connected_to_h2f_ARBURST_),               //  output,     width = 2,                   .arburst
		.h2f_ARLOCK                (_connected_to_h2f_ARLOCK_),                //  output,     width = 1,                   .arlock
		.h2f_ARCACHE               (_connected_to_h2f_ARCACHE_),               //  output,     width = 4,                   .arcache
		.h2f_ARPROT                (_connected_to_h2f_ARPROT_),                //  output,     width = 3,                   .arprot
		.h2f_ARVALID               (_connected_to_h2f_ARVALID_),               //  output,     width = 1,                   .arvalid
		.h2f_ARREADY               (_connected_to_h2f_ARREADY_),               //   input,     width = 1,                   .arready
		.h2f_RID                   (_connected_to_h2f_RID_),                   //   input,     width = 4,                   .rid
		.h2f_RDATA                 (_connected_to_h2f_RDATA_),                 //   input,   width = 128,                   .rdata
		.h2f_RRESP                 (_connected_to_h2f_RRESP_),                 //   input,     width = 2,                   .rresp
		.h2f_RLAST                 (_connected_to_h2f_RLAST_),                 //   input,     width = 1,                   .rlast
		.h2f_RVALID                (_connected_to_h2f_RVALID_),                //   input,     width = 1,                   .rvalid
		.h2f_RREADY                (_connected_to_h2f_RREADY_),                //  output,     width = 1,                   .rready
		.h2f_lw_axi_clk            (_connected_to_h2f_lw_axi_clk_),            //   input,     width = 1,   h2f_lw_axi_clock.clk
		.h2f_lw_axi_rst_n          (_connected_to_h2f_lw_axi_rst_n_),          //   input,     width = 1,   h2f_lw_axi_reset.reset_n
		.h2f_lw_AWID               (_connected_to_h2f_lw_AWID_),               //  output,     width = 4,  h2f_lw_axi_master.awid
		.h2f_lw_AWADDR             (_connected_to_h2f_lw_AWADDR_),             //  output,    width = 21,                   .awaddr
		.h2f_lw_AWLEN              (_connected_to_h2f_lw_AWLEN_),              //  output,     width = 8,                   .awlen
		.h2f_lw_AWSIZE             (_connected_to_h2f_lw_AWSIZE_),             //  output,     width = 3,                   .awsize
		.h2f_lw_AWBURST            (_connected_to_h2f_lw_AWBURST_),            //  output,     width = 2,                   .awburst
		.h2f_lw_AWLOCK             (_connected_to_h2f_lw_AWLOCK_),             //  output,     width = 1,                   .awlock
		.h2f_lw_AWCACHE            (_connected_to_h2f_lw_AWCACHE_),            //  output,     width = 4,                   .awcache
		.h2f_lw_AWPROT             (_connected_to_h2f_lw_AWPROT_),             //  output,     width = 3,                   .awprot
		.h2f_lw_AWVALID            (_connected_to_h2f_lw_AWVALID_),            //  output,     width = 1,                   .awvalid
		.h2f_lw_AWREADY            (_connected_to_h2f_lw_AWREADY_),            //   input,     width = 1,                   .awready
		.h2f_lw_WDATA              (_connected_to_h2f_lw_WDATA_),              //  output,    width = 32,                   .wdata
		.h2f_lw_WSTRB              (_connected_to_h2f_lw_WSTRB_),              //  output,     width = 4,                   .wstrb
		.h2f_lw_WLAST              (_connected_to_h2f_lw_WLAST_),              //  output,     width = 1,                   .wlast
		.h2f_lw_WVALID             (_connected_to_h2f_lw_WVALID_),             //  output,     width = 1,                   .wvalid
		.h2f_lw_WREADY             (_connected_to_h2f_lw_WREADY_),             //   input,     width = 1,                   .wready
		.h2f_lw_BID                (_connected_to_h2f_lw_BID_),                //   input,     width = 4,                   .bid
		.h2f_lw_BRESP              (_connected_to_h2f_lw_BRESP_),              //   input,     width = 2,                   .bresp
		.h2f_lw_BVALID             (_connected_to_h2f_lw_BVALID_),             //   input,     width = 1,                   .bvalid
		.h2f_lw_BREADY             (_connected_to_h2f_lw_BREADY_),             //  output,     width = 1,                   .bready
		.h2f_lw_ARID               (_connected_to_h2f_lw_ARID_),               //  output,     width = 4,                   .arid
		.h2f_lw_ARADDR             (_connected_to_h2f_lw_ARADDR_),             //  output,    width = 21,                   .araddr
		.h2f_lw_ARLEN              (_connected_to_h2f_lw_ARLEN_),              //  output,     width = 8,                   .arlen
		.h2f_lw_ARSIZE             (_connected_to_h2f_lw_ARSIZE_),             //  output,     width = 3,                   .arsize
		.h2f_lw_ARBURST            (_connected_to_h2f_lw_ARBURST_),            //  output,     width = 2,                   .arburst
		.h2f_lw_ARLOCK             (_connected_to_h2f_lw_ARLOCK_),             //  output,     width = 1,                   .arlock
		.h2f_lw_ARCACHE            (_connected_to_h2f_lw_ARCACHE_),            //  output,     width = 4,                   .arcache
		.h2f_lw_ARPROT             (_connected_to_h2f_lw_ARPROT_),             //  output,     width = 3,                   .arprot
		.h2f_lw_ARVALID            (_connected_to_h2f_lw_ARVALID_),            //  output,     width = 1,                   .arvalid
		.h2f_lw_ARREADY            (_connected_to_h2f_lw_ARREADY_),            //   input,     width = 1,                   .arready
		.h2f_lw_RID                (_connected_to_h2f_lw_RID_),                //   input,     width = 4,                   .rid
		.h2f_lw_RDATA              (_connected_to_h2f_lw_RDATA_),              //   input,    width = 32,                   .rdata
		.h2f_lw_RRESP              (_connected_to_h2f_lw_RRESP_),              //   input,     width = 2,                   .rresp
		.h2f_lw_RLAST              (_connected_to_h2f_lw_RLAST_),              //   input,     width = 1,                   .rlast
		.h2f_lw_RVALID             (_connected_to_h2f_lw_RVALID_),             //   input,     width = 1,                   .rvalid
		.h2f_lw_RREADY             (_connected_to_h2f_lw_RREADY_),             //  output,     width = 1,                   .rready
		.f2h_axi_clk               (_connected_to_f2h_axi_clk_),               //   input,     width = 1,      f2h_axi_clock.clk
		.f2h_axi_rst_n             (_connected_to_f2h_axi_rst_n_),             //   input,     width = 1,      f2h_axi_reset.reset_n
		.f2h_AWID                  (_connected_to_f2h_AWID_),                  //   input,     width = 4,      f2h_axi_slave.awid
		.f2h_AWADDR                (_connected_to_f2h_AWADDR_),                //   input,    width = 32,                   .awaddr
		.f2h_AWLEN                 (_connected_to_f2h_AWLEN_),                 //   input,     width = 8,                   .awlen
		.f2h_AWSIZE                (_connected_to_f2h_AWSIZE_),                //   input,     width = 3,                   .awsize
		.f2h_AWBURST               (_connected_to_f2h_AWBURST_),               //   input,     width = 2,                   .awburst
		.f2h_AWLOCK                (_connected_to_f2h_AWLOCK_),                //   input,     width = 1,                   .awlock
		.f2h_AWCACHE               (_connected_to_f2h_AWCACHE_),               //   input,     width = 4,                   .awcache
		.f2h_AWPROT                (_connected_to_f2h_AWPROT_),                //   input,     width = 3,                   .awprot
		.f2h_AWVALID               (_connected_to_f2h_AWVALID_),               //   input,     width = 1,                   .awvalid
		.f2h_AWREADY               (_connected_to_f2h_AWREADY_),               //  output,     width = 1,                   .awready
		.f2h_AWQOS                 (_connected_to_f2h_AWQOS_),                 //   input,     width = 4,                   .awqos
		.f2h_WDATA                 (_connected_to_f2h_WDATA_),                 //   input,   width = 128,                   .wdata
		.f2h_WSTRB                 (_connected_to_f2h_WSTRB_),                 //   input,    width = 16,                   .wstrb
		.f2h_WLAST                 (_connected_to_f2h_WLAST_),                 //   input,     width = 1,                   .wlast
		.f2h_WVALID                (_connected_to_f2h_WVALID_),                //   input,     width = 1,                   .wvalid
		.f2h_WREADY                (_connected_to_f2h_WREADY_),                //  output,     width = 1,                   .wready
		.f2h_BID                   (_connected_to_f2h_BID_),                   //  output,     width = 4,                   .bid
		.f2h_BRESP                 (_connected_to_f2h_BRESP_),                 //  output,     width = 2,                   .bresp
		.f2h_BVALID                (_connected_to_f2h_BVALID_),                //  output,     width = 1,                   .bvalid
		.f2h_BREADY                (_connected_to_f2h_BREADY_),                //   input,     width = 1,                   .bready
		.f2h_ARID                  (_connected_to_f2h_ARID_),                  //   input,     width = 4,                   .arid
		.f2h_ARADDR                (_connected_to_f2h_ARADDR_),                //   input,    width = 32,                   .araddr
		.f2h_ARLEN                 (_connected_to_f2h_ARLEN_),                 //   input,     width = 8,                   .arlen
		.f2h_ARSIZE                (_connected_to_f2h_ARSIZE_),                //   input,     width = 3,                   .arsize
		.f2h_ARBURST               (_connected_to_f2h_ARBURST_),               //   input,     width = 2,                   .arburst
		.f2h_ARLOCK                (_connected_to_f2h_ARLOCK_),                //   input,     width = 1,                   .arlock
		.f2h_ARCACHE               (_connected_to_f2h_ARCACHE_),               //   input,     width = 4,                   .arcache
		.f2h_ARPROT                (_connected_to_f2h_ARPROT_),                //   input,     width = 3,                   .arprot
		.f2h_ARVALID               (_connected_to_f2h_ARVALID_),               //   input,     width = 1,                   .arvalid
		.f2h_ARREADY               (_connected_to_f2h_ARREADY_),               //  output,     width = 1,                   .arready
		.f2h_ARQOS                 (_connected_to_f2h_ARQOS_),                 //   input,     width = 4,                   .arqos
		.f2h_RID                   (_connected_to_f2h_RID_),                   //  output,     width = 4,                   .rid
		.f2h_RDATA                 (_connected_to_f2h_RDATA_),                 //  output,   width = 128,                   .rdata
		.f2h_RRESP                 (_connected_to_f2h_RRESP_),                 //  output,     width = 2,                   .rresp
		.f2h_RLAST                 (_connected_to_f2h_RLAST_),                 //  output,     width = 1,                   .rlast
		.f2h_RVALID                (_connected_to_f2h_RVALID_),                //  output,     width = 1,                   .rvalid
		.f2h_RREADY                (_connected_to_f2h_RREADY_),                //   input,     width = 1,                   .rready
		.f2sdram0_clk              (_connected_to_f2sdram0_clk_),              //   input,     width = 1,     f2sdram0_clock.clk
		.f2sdram0_rst_n            (_connected_to_f2sdram0_rst_n_),            //   input,     width = 1,     f2sdram0_reset.reset_n
		.f2sdram0_AWID             (_connected_to_f2sdram0_AWID_),             //   input,     width = 4,      f2sdram0_data.awid
		.f2sdram0_AWADDR           (_connected_to_f2sdram0_AWADDR_),           //   input,    width = 32,                   .awaddr
		.f2sdram0_AWLEN            (_connected_to_f2sdram0_AWLEN_),            //   input,     width = 8,                   .awlen
		.f2sdram0_AWSIZE           (_connected_to_f2sdram0_AWSIZE_),           //   input,     width = 3,                   .awsize
		.f2sdram0_AWBURST          (_connected_to_f2sdram0_AWBURST_),          //   input,     width = 2,                   .awburst
		.f2sdram0_AWLOCK           (_connected_to_f2sdram0_AWLOCK_),           //   input,     width = 1,                   .awlock
		.f2sdram0_AWCACHE          (_connected_to_f2sdram0_AWCACHE_),          //   input,     width = 4,                   .awcache
		.f2sdram0_AWPROT           (_connected_to_f2sdram0_AWPROT_),           //   input,     width = 3,                   .awprot
		.f2sdram0_AWQOS            (_connected_to_f2sdram0_AWQOS_),            //   input,     width = 4,                   .awqos
		.f2sdram0_AWVALID          (_connected_to_f2sdram0_AWVALID_),          //   input,     width = 1,                   .awvalid
		.f2sdram0_AWREADY          (_connected_to_f2sdram0_AWREADY_),          //  output,     width = 1,                   .awready
		.f2sdram0_WDATA            (_connected_to_f2sdram0_WDATA_),            //   input,   width = 128,                   .wdata
		.f2sdram0_WSTRB            (_connected_to_f2sdram0_WSTRB_),            //   input,    width = 16,                   .wstrb
		.f2sdram0_WLAST            (_connected_to_f2sdram0_WLAST_),            //   input,     width = 1,                   .wlast
		.f2sdram0_WVALID           (_connected_to_f2sdram0_WVALID_),           //   input,     width = 1,                   .wvalid
		.f2sdram0_WREADY           (_connected_to_f2sdram0_WREADY_),           //  output,     width = 1,                   .wready
		.f2sdram0_BID              (_connected_to_f2sdram0_BID_),              //  output,     width = 4,                   .bid
		.f2sdram0_BRESP            (_connected_to_f2sdram0_BRESP_),            //  output,     width = 2,                   .bresp
		.f2sdram0_BVALID           (_connected_to_f2sdram0_BVALID_),           //  output,     width = 1,                   .bvalid
		.f2sdram0_BREADY           (_connected_to_f2sdram0_BREADY_),           //   input,     width = 1,                   .bready
		.f2sdram0_ARID             (_connected_to_f2sdram0_ARID_),             //   input,     width = 4,                   .arid
		.f2sdram0_ARADDR           (_connected_to_f2sdram0_ARADDR_),           //   input,    width = 32,                   .araddr
		.f2sdram0_ARLEN            (_connected_to_f2sdram0_ARLEN_),            //   input,     width = 8,                   .arlen
		.f2sdram0_ARSIZE           (_connected_to_f2sdram0_ARSIZE_),           //   input,     width = 3,                   .arsize
		.f2sdram0_ARBURST          (_connected_to_f2sdram0_ARBURST_),          //   input,     width = 2,                   .arburst
		.f2sdram0_ARLOCK           (_connected_to_f2sdram0_ARLOCK_),           //   input,     width = 1,                   .arlock
		.f2sdram0_ARCACHE          (_connected_to_f2sdram0_ARCACHE_),          //   input,     width = 4,                   .arcache
		.f2sdram0_ARPROT           (_connected_to_f2sdram0_ARPROT_),           //   input,     width = 3,                   .arprot
		.f2sdram0_ARQOS            (_connected_to_f2sdram0_ARQOS_),            //   input,     width = 4,                   .arqos
		.f2sdram0_ARVALID          (_connected_to_f2sdram0_ARVALID_),          //   input,     width = 1,                   .arvalid
		.f2sdram0_ARREADY          (_connected_to_f2sdram0_ARREADY_),          //  output,     width = 1,                   .arready
		.f2sdram0_RID              (_connected_to_f2sdram0_RID_),              //  output,     width = 4,                   .rid
		.f2sdram0_RDATA            (_connected_to_f2sdram0_RDATA_),            //  output,   width = 128,                   .rdata
		.f2sdram0_RRESP            (_connected_to_f2sdram0_RRESP_),            //  output,     width = 2,                   .rresp
		.f2sdram0_RLAST            (_connected_to_f2sdram0_RLAST_),            //  output,     width = 1,                   .rlast
		.f2sdram0_RVALID           (_connected_to_f2sdram0_RVALID_),           //  output,     width = 1,                   .rvalid
		.f2sdram0_RREADY           (_connected_to_f2sdram0_RREADY_),           //   input,     width = 1,                   .rready
		.f2sdram1_clk              (_connected_to_f2sdram1_clk_),              //   input,     width = 1,     f2sdram1_clock.clk
		.f2sdram1_rst_n            (_connected_to_f2sdram1_rst_n_),            //   input,     width = 1,     f2sdram1_reset.reset_n
		.f2sdram1_AWID             (_connected_to_f2sdram1_AWID_),             //   input,     width = 4,      f2sdram1_data.awid
		.f2sdram1_AWADDR           (_connected_to_f2sdram1_AWADDR_),           //   input,    width = 32,                   .awaddr
		.f2sdram1_AWLEN            (_connected_to_f2sdram1_AWLEN_),            //   input,     width = 8,                   .awlen
		.f2sdram1_AWSIZE           (_connected_to_f2sdram1_AWSIZE_),           //   input,     width = 3,                   .awsize
		.f2sdram1_AWBURST          (_connected_to_f2sdram1_AWBURST_),          //   input,     width = 2,                   .awburst
		.f2sdram1_AWLOCK           (_connected_to_f2sdram1_AWLOCK_),           //   input,     width = 1,                   .awlock
		.f2sdram1_AWCACHE          (_connected_to_f2sdram1_AWCACHE_),          //   input,     width = 4,                   .awcache
		.f2sdram1_AWPROT           (_connected_to_f2sdram1_AWPROT_),           //   input,     width = 3,                   .awprot
		.f2sdram1_AWQOS            (_connected_to_f2sdram1_AWQOS_),            //   input,     width = 4,                   .awqos
		.f2sdram1_AWVALID          (_connected_to_f2sdram1_AWVALID_),          //   input,     width = 1,                   .awvalid
		.f2sdram1_AWREADY          (_connected_to_f2sdram1_AWREADY_),          //  output,     width = 1,                   .awready
		.f2sdram1_WDATA            (_connected_to_f2sdram1_WDATA_),            //   input,   width = 128,                   .wdata
		.f2sdram1_WSTRB            (_connected_to_f2sdram1_WSTRB_),            //   input,    width = 16,                   .wstrb
		.f2sdram1_WLAST            (_connected_to_f2sdram1_WLAST_),            //   input,     width = 1,                   .wlast
		.f2sdram1_WVALID           (_connected_to_f2sdram1_WVALID_),           //   input,     width = 1,                   .wvalid
		.f2sdram1_WREADY           (_connected_to_f2sdram1_WREADY_),           //  output,     width = 1,                   .wready
		.f2sdram1_BID              (_connected_to_f2sdram1_BID_),              //  output,     width = 4,                   .bid
		.f2sdram1_BRESP            (_connected_to_f2sdram1_BRESP_),            //  output,     width = 2,                   .bresp
		.f2sdram1_BVALID           (_connected_to_f2sdram1_BVALID_),           //  output,     width = 1,                   .bvalid
		.f2sdram1_BREADY           (_connected_to_f2sdram1_BREADY_),           //   input,     width = 1,                   .bready
		.f2sdram1_ARID             (_connected_to_f2sdram1_ARID_),             //   input,     width = 4,                   .arid
		.f2sdram1_ARADDR           (_connected_to_f2sdram1_ARADDR_),           //   input,    width = 32,                   .araddr
		.f2sdram1_ARLEN            (_connected_to_f2sdram1_ARLEN_),            //   input,     width = 8,                   .arlen
		.f2sdram1_ARSIZE           (_connected_to_f2sdram1_ARSIZE_),           //   input,     width = 3,                   .arsize
		.f2sdram1_ARBURST          (_connected_to_f2sdram1_ARBURST_),          //   input,     width = 2,                   .arburst
		.f2sdram1_ARLOCK           (_connected_to_f2sdram1_ARLOCK_),           //   input,     width = 1,                   .arlock
		.f2sdram1_ARCACHE          (_connected_to_f2sdram1_ARCACHE_),          //   input,     width = 4,                   .arcache
		.f2sdram1_ARPROT           (_connected_to_f2sdram1_ARPROT_),           //   input,     width = 3,                   .arprot
		.f2sdram1_ARQOS            (_connected_to_f2sdram1_ARQOS_),            //   input,     width = 4,                   .arqos
		.f2sdram1_ARVALID          (_connected_to_f2sdram1_ARVALID_),          //   input,     width = 1,                   .arvalid
		.f2sdram1_ARREADY          (_connected_to_f2sdram1_ARREADY_),          //  output,     width = 1,                   .arready
		.f2sdram1_RID              (_connected_to_f2sdram1_RID_),              //  output,     width = 4,                   .rid
		.f2sdram1_RDATA            (_connected_to_f2sdram1_RDATA_),            //  output,   width = 128,                   .rdata
		.f2sdram1_RRESP            (_connected_to_f2sdram1_RRESP_),            //  output,     width = 2,                   .rresp
		.f2sdram1_RLAST            (_connected_to_f2sdram1_RLAST_),            //  output,     width = 1,                   .rlast
		.f2sdram1_RVALID           (_connected_to_f2sdram1_RVALID_),           //  output,     width = 1,                   .rvalid
		.f2sdram1_RREADY           (_connected_to_f2sdram1_RREADY_),           //   input,     width = 1,                   .rready
		.f2sdram2_clk              (_connected_to_f2sdram2_clk_),              //   input,     width = 1,     f2sdram2_clock.clk
		.f2sdram2_rst_n            (_connected_to_f2sdram2_rst_n_),            //   input,     width = 1,     f2sdram2_reset.reset_n
		.f2sdram2_AWID             (_connected_to_f2sdram2_AWID_),             //   input,     width = 4,      f2sdram2_data.awid
		.f2sdram2_AWADDR           (_connected_to_f2sdram2_AWADDR_),           //   input,    width = 32,                   .awaddr
		.f2sdram2_AWLEN            (_connected_to_f2sdram2_AWLEN_),            //   input,     width = 8,                   .awlen
		.f2sdram2_AWSIZE           (_connected_to_f2sdram2_AWSIZE_),           //   input,     width = 3,                   .awsize
		.f2sdram2_AWBURST          (_connected_to_f2sdram2_AWBURST_),          //   input,     width = 2,                   .awburst
		.f2sdram2_AWLOCK           (_connected_to_f2sdram2_AWLOCK_),           //   input,     width = 1,                   .awlock
		.f2sdram2_AWCACHE          (_connected_to_f2sdram2_AWCACHE_),          //   input,     width = 4,                   .awcache
		.f2sdram2_AWPROT           (_connected_to_f2sdram2_AWPROT_),           //   input,     width = 3,                   .awprot
		.f2sdram2_AWQOS            (_connected_to_f2sdram2_AWQOS_),            //   input,     width = 4,                   .awqos
		.f2sdram2_AWVALID          (_connected_to_f2sdram2_AWVALID_),          //   input,     width = 1,                   .awvalid
		.f2sdram2_AWREADY          (_connected_to_f2sdram2_AWREADY_),          //  output,     width = 1,                   .awready
		.f2sdram2_WDATA            (_connected_to_f2sdram2_WDATA_),            //   input,   width = 128,                   .wdata
		.f2sdram2_WSTRB            (_connected_to_f2sdram2_WSTRB_),            //   input,    width = 16,                   .wstrb
		.f2sdram2_WLAST            (_connected_to_f2sdram2_WLAST_),            //   input,     width = 1,                   .wlast
		.f2sdram2_WVALID           (_connected_to_f2sdram2_WVALID_),           //   input,     width = 1,                   .wvalid
		.f2sdram2_WREADY           (_connected_to_f2sdram2_WREADY_),           //  output,     width = 1,                   .wready
		.f2sdram2_BID              (_connected_to_f2sdram2_BID_),              //  output,     width = 4,                   .bid
		.f2sdram2_BRESP            (_connected_to_f2sdram2_BRESP_),            //  output,     width = 2,                   .bresp
		.f2sdram2_BVALID           (_connected_to_f2sdram2_BVALID_),           //  output,     width = 1,                   .bvalid
		.f2sdram2_BREADY           (_connected_to_f2sdram2_BREADY_),           //   input,     width = 1,                   .bready
		.f2sdram2_ARID             (_connected_to_f2sdram2_ARID_),             //   input,     width = 4,                   .arid
		.f2sdram2_ARADDR           (_connected_to_f2sdram2_ARADDR_),           //   input,    width = 32,                   .araddr
		.f2sdram2_ARLEN            (_connected_to_f2sdram2_ARLEN_),            //   input,     width = 8,                   .arlen
		.f2sdram2_ARSIZE           (_connected_to_f2sdram2_ARSIZE_),           //   input,     width = 3,                   .arsize
		.f2sdram2_ARBURST          (_connected_to_f2sdram2_ARBURST_),          //   input,     width = 2,                   .arburst
		.f2sdram2_ARLOCK           (_connected_to_f2sdram2_ARLOCK_),           //   input,     width = 1,                   .arlock
		.f2sdram2_ARCACHE          (_connected_to_f2sdram2_ARCACHE_),          //   input,     width = 4,                   .arcache
		.f2sdram2_ARPROT           (_connected_to_f2sdram2_ARPROT_),           //   input,     width = 3,                   .arprot
		.f2sdram2_ARQOS            (_connected_to_f2sdram2_ARQOS_),            //   input,     width = 4,                   .arqos
		.f2sdram2_ARVALID          (_connected_to_f2sdram2_ARVALID_),          //   input,     width = 1,                   .arvalid
		.f2sdram2_ARREADY          (_connected_to_f2sdram2_ARREADY_),          //  output,     width = 1,                   .arready
		.f2sdram2_RID              (_connected_to_f2sdram2_RID_),              //  output,     width = 4,                   .rid
		.f2sdram2_RDATA            (_connected_to_f2sdram2_RDATA_),            //  output,   width = 128,                   .rdata
		.f2sdram2_RRESP            (_connected_to_f2sdram2_RRESP_),            //  output,     width = 2,                   .rresp
		.f2sdram2_RLAST            (_connected_to_f2sdram2_RLAST_),            //  output,     width = 1,                   .rlast
		.f2sdram2_RVALID           (_connected_to_f2sdram2_RVALID_),           //  output,     width = 1,                   .rvalid
		.f2sdram2_RREADY           (_connected_to_f2sdram2_RREADY_),           //   input,     width = 1,                   .rready
		.f2h_irq_p0                (_connected_to_f2h_irq_p0_),                //   input,    width = 32,           f2h_irq0.irq
		.f2h_irq_p1                (_connected_to_f2h_irq_p1_)                 //   input,    width = 32,           f2h_irq1.irq
	);

