// alt_mge_phy_1.v

// Generated using ACDS version 19.1 240

`timescale 1 ps / 1 ps
module alt_mge_phy_1 (
		input  wire        csr_clk,              //              csr_clk.clk
		input  wire        reset,                //                reset.reset
		input  wire        rx_digitalreset,      //      rx_digitalreset.rx_digitalreset
		input  wire        tx_digitalreset,      //      tx_digitalreset.tx_digitalreset
		output wire [15:0] csr_readdata,         //        avalon_mm_csr.readdata
		input  wire [15:0] csr_writedata,        //                     .writedata
		input  wire [4:0]  csr_address,          //                     .address
		output wire        csr_waitrequest,      //                     .waitrequest
		input  wire        csr_read,             //                     .read
		input  wire        csr_write,            //                     .write
		input  wire [1:0]  gmii16b_tx_en,        //        gmii16b_tx_en.export
		input  wire [15:0] gmii16b_tx_d,         //         gmii16b_tx_d.export
		input  wire [1:0]  gmii16b_tx_err,       //       gmii16b_tx_err.export
		output wire [1:0]  gmii16b_rx_dv,        //        gmii16b_rx_dv.export
		output wire [15:0] gmii16b_rx_d,         //         gmii16b_rx_d.export
		output wire [1:0]  gmii16b_rx_err,       //       gmii16b_rx_err.export
		output wire        led_link,             //             led_link.export
		output wire        led_char_err,         //         led_char_err.export
		output wire        led_disp_err,         //         led_disp_err.export
		output wire        led_an,               //               led_an.export
		output wire        rx_clkena,            //            rx_clkena.export
		output wire        tx_clkena,            //            tx_clkena.export
		output wire        led_panel_link,       //       led_panel_link.export
		output wire [2:0]  operating_speed,      //      operating_speed.export
		input  wire [1:0]  tx_serial_clk,        //        tx_serial_clk.clk
		input  wire        rx_cdr_refclk,        //      rx_cdr_refclk_0.clk
		output wire        tx_clkout,            //            tx_clkout.clk
		output wire        rx_clkout,            //            rx_clkout.clk
		output wire        rx_pma_clkout,        //        rx_pma_clkout.clk
		input  wire [1:0]  xcvr_mode,            //            xcvr_mode.export
		input  wire [0:0]  tx_analogreset,       //       tx_analogreset.tx_analogreset
		input  wire [0:0]  rx_analogreset,       //       rx_analogreset.rx_analogreset
		output wire [0:0]  tx_analogreset_stat,  //  tx_analogreset_stat.tx_analogreset_stat
		output wire [0:0]  rx_analogreset_stat,  //  rx_analogreset_stat.rx_analogreset_stat
		output wire [0:0]  tx_digitalreset_stat, // tx_digitalreset_stat.tx_digitalreset_stat
		output wire [0:0]  rx_digitalreset_stat, // rx_digitalreset_stat.rx_digitalreset_stat
		output wire [0:0]  tx_cal_busy,          //          tx_cal_busy.tx_cal_busy
		output wire [0:0]  rx_cal_busy,          //          rx_cal_busy.rx_cal_busy
		output wire [0:0]  tx_serial_data,       //       tx_serial_data.tx_serial_data
		input  wire [0:0]  rx_serial_data,       //       rx_serial_data.rx_serial_data
		output wire [0:0]  rx_is_lockedtodata,   //   rx_is_lockedtodata.rx_is_lockedtodata
		input  wire [0:0]  reconfig_clk,         //         reconfig_clk.clk
		input  wire [0:0]  reconfig_reset,       //       reconfig_reset.reset
		input  wire [0:0]  reconfig_write,       //        reconfig_avmm.write
		input  wire [0:0]  reconfig_read,        //                     .read
		input  wire [10:0] reconfig_address,     //                     .address
		input  wire [31:0] reconfig_writedata,   //                     .writedata
		output wire [31:0] reconfig_readdata,    //                     .readdata
		output wire [0:0]  reconfig_waitrequest  //                     .waitrequest
	);

	alt_mge_phy_1_alt_mge_phy_191_6w2jeiq alt_mge_phy_inst (
		.csr_clk              (csr_clk),              //   input,   width = 1,              csr_clk.clk
		.reset                (reset),                //   input,   width = 1,                reset.reset
		.rx_digitalreset      (rx_digitalreset),      //   input,   width = 1,      rx_digitalreset.rx_digitalreset
		.tx_digitalreset      (tx_digitalreset),      //   input,   width = 1,      tx_digitalreset.tx_digitalreset
		.csr_readdata         (csr_readdata),         //  output,  width = 16,        avalon_mm_csr.readdata
		.csr_writedata        (csr_writedata),        //   input,  width = 16,                     .writedata
		.csr_address          (csr_address),          //   input,   width = 5,                     .address
		.csr_waitrequest      (csr_waitrequest),      //  output,   width = 1,                     .waitrequest
		.csr_read             (csr_read),             //   input,   width = 1,                     .read
		.csr_write            (csr_write),            //   input,   width = 1,                     .write
		.gmii16b_tx_en        (gmii16b_tx_en),        //   input,   width = 2,        gmii16b_tx_en.export
		.gmii16b_tx_d         (gmii16b_tx_d),         //   input,  width = 16,         gmii16b_tx_d.export
		.gmii16b_tx_err       (gmii16b_tx_err),       //   input,   width = 2,       gmii16b_tx_err.export
		.gmii16b_rx_dv        (gmii16b_rx_dv),        //  output,   width = 2,        gmii16b_rx_dv.export
		.gmii16b_rx_d         (gmii16b_rx_d),         //  output,  width = 16,         gmii16b_rx_d.export
		.gmii16b_rx_err       (gmii16b_rx_err),       //  output,   width = 2,       gmii16b_rx_err.export
		.led_link             (led_link),             //  output,   width = 1,             led_link.export
		.led_char_err         (led_char_err),         //  output,   width = 1,         led_char_err.export
		.led_disp_err         (led_disp_err),         //  output,   width = 1,         led_disp_err.export
		.led_an               (led_an),               //  output,   width = 1,               led_an.export
		.rx_clkena            (rx_clkena),            //  output,   width = 1,            rx_clkena.export
		.tx_clkena            (tx_clkena),            //  output,   width = 1,            tx_clkena.export
		.led_panel_link       (led_panel_link),       //  output,   width = 1,       led_panel_link.export
		.operating_speed      (operating_speed),      //  output,   width = 3,      operating_speed.export
		.tx_serial_clk        (tx_serial_clk),        //   input,   width = 2,        tx_serial_clk.clk
		.rx_cdr_refclk        (rx_cdr_refclk),        //   input,   width = 1,      rx_cdr_refclk_0.clk
		.tx_clkout            (tx_clkout),            //  output,   width = 1,            tx_clkout.clk
		.rx_clkout            (rx_clkout),            //  output,   width = 1,            rx_clkout.clk
		.rx_pma_clkout        (rx_pma_clkout),        //  output,   width = 1,        rx_pma_clkout.clk
		.xcvr_mode            (xcvr_mode),            //   input,   width = 2,            xcvr_mode.export
		.tx_analogreset       (tx_analogreset),       //   input,   width = 1,       tx_analogreset.tx_analogreset
		.rx_analogreset       (rx_analogreset),       //   input,   width = 1,       rx_analogreset.rx_analogreset
		.tx_analogreset_stat  (tx_analogreset_stat),  //  output,   width = 1,  tx_analogreset_stat.tx_analogreset_stat
		.rx_analogreset_stat  (rx_analogreset_stat),  //  output,   width = 1,  rx_analogreset_stat.rx_analogreset_stat
		.tx_digitalreset_stat (tx_digitalreset_stat), //  output,   width = 1, tx_digitalreset_stat.tx_digitalreset_stat
		.rx_digitalreset_stat (rx_digitalreset_stat), //  output,   width = 1, rx_digitalreset_stat.rx_digitalreset_stat
		.tx_cal_busy          (tx_cal_busy),          //  output,   width = 1,          tx_cal_busy.tx_cal_busy
		.rx_cal_busy          (rx_cal_busy),          //  output,   width = 1,          rx_cal_busy.rx_cal_busy
		.tx_serial_data       (tx_serial_data),       //  output,   width = 1,       tx_serial_data.tx_serial_data
		.rx_serial_data       (rx_serial_data),       //   input,   width = 1,       rx_serial_data.rx_serial_data
		.rx_is_lockedtodata   (rx_is_lockedtodata),   //  output,   width = 1,   rx_is_lockedtodata.rx_is_lockedtodata
		.reconfig_clk         (reconfig_clk),         //   input,   width = 1,         reconfig_clk.clk
		.reconfig_reset       (reconfig_reset),       //   input,   width = 1,       reconfig_reset.reset
		.reconfig_write       (reconfig_write),       //   input,   width = 1,        reconfig_avmm.write
		.reconfig_read        (reconfig_read),        //   input,   width = 1,                     .read
		.reconfig_address     (reconfig_address),     //   input,  width = 11,                     .address
		.reconfig_writedata   (reconfig_writedata),   //   input,  width = 32,                     .writedata
		.reconfig_readdata    (reconfig_readdata),    //  output,  width = 32,                     .readdata
		.reconfig_waitrequest (reconfig_waitrequest)  //  output,   width = 1,                     .waitrequest
	);

endmodule
