	alt_mge_phy_2 u0 (
		.csr_clk              (_connected_to_csr_clk_),              //   input,   width = 1,              csr_clk.clk
		.reset                (_connected_to_reset_),                //   input,   width = 1,                reset.reset
		.rx_digitalreset      (_connected_to_rx_digitalreset_),      //   input,   width = 1,      rx_digitalreset.rx_digitalreset
		.tx_digitalreset      (_connected_to_tx_digitalreset_),      //   input,   width = 1,      tx_digitalreset.tx_digitalreset
		.csr_readdata         (_connected_to_csr_readdata_),         //  output,  width = 16,        avalon_mm_csr.readdata
		.csr_writedata        (_connected_to_csr_writedata_),        //   input,  width = 16,                     .writedata
		.csr_address          (_connected_to_csr_address_),          //   input,   width = 5,                     .address
		.csr_waitrequest      (_connected_to_csr_waitrequest_),      //  output,   width = 1,                     .waitrequest
		.csr_read             (_connected_to_csr_read_),             //   input,   width = 1,                     .read
		.csr_write            (_connected_to_csr_write_),            //   input,   width = 1,                     .write
		.gmii16b_tx_en        (_connected_to_gmii16b_tx_en_),        //   input,   width = 2,        gmii16b_tx_en.export
		.gmii16b_tx_d         (_connected_to_gmii16b_tx_d_),         //   input,  width = 16,         gmii16b_tx_d.export
		.gmii16b_tx_err       (_connected_to_gmii16b_tx_err_),       //   input,   width = 2,       gmii16b_tx_err.export
		.gmii16b_rx_dv        (_connected_to_gmii16b_rx_dv_),        //  output,   width = 2,        gmii16b_rx_dv.export
		.gmii16b_rx_d         (_connected_to_gmii16b_rx_d_),         //  output,  width = 16,         gmii16b_rx_d.export
		.gmii16b_rx_err       (_connected_to_gmii16b_rx_err_),       //  output,   width = 2,       gmii16b_rx_err.export
		.led_link             (_connected_to_led_link_),             //  output,   width = 1,             led_link.export
		.led_char_err         (_connected_to_led_char_err_),         //  output,   width = 1,         led_char_err.export
		.led_disp_err         (_connected_to_led_disp_err_),         //  output,   width = 1,         led_disp_err.export
		.led_an               (_connected_to_led_an_),               //  output,   width = 1,               led_an.export
		.rx_clkena            (_connected_to_rx_clkena_),            //  output,   width = 1,            rx_clkena.export
		.tx_clkena            (_connected_to_tx_clkena_),            //  output,   width = 1,            tx_clkena.export
		.led_panel_link       (_connected_to_led_panel_link_),       //  output,   width = 1,       led_panel_link.export
		.operating_speed      (_connected_to_operating_speed_),      //  output,   width = 3,      operating_speed.export
		.tx_serial_clk        (_connected_to_tx_serial_clk_),        //   input,   width = 2,        tx_serial_clk.clk
		.rx_cdr_refclk        (_connected_to_rx_cdr_refclk_),        //   input,   width = 1,      rx_cdr_refclk_0.clk
		.tx_clkout            (_connected_to_tx_clkout_),            //  output,   width = 1,            tx_clkout.clk
		.rx_clkout            (_connected_to_rx_clkout_),            //  output,   width = 1,            rx_clkout.clk
		.rx_pma_clkout        (_connected_to_rx_pma_clkout_),        //  output,   width = 1,        rx_pma_clkout.clk
		.xcvr_mode            (_connected_to_xcvr_mode_),            //   input,   width = 2,            xcvr_mode.export
		.tx_analogreset       (_connected_to_tx_analogreset_),       //   input,   width = 1,       tx_analogreset.tx_analogreset
		.rx_analogreset       (_connected_to_rx_analogreset_),       //   input,   width = 1,       rx_analogreset.rx_analogreset
		.tx_analogreset_stat  (_connected_to_tx_analogreset_stat_),  //  output,   width = 1,  tx_analogreset_stat.tx_analogreset_stat
		.rx_analogreset_stat  (_connected_to_rx_analogreset_stat_),  //  output,   width = 1,  rx_analogreset_stat.rx_analogreset_stat
		.tx_digitalreset_stat (_connected_to_tx_digitalreset_stat_), //  output,   width = 1, tx_digitalreset_stat.tx_digitalreset_stat
		.rx_digitalreset_stat (_connected_to_rx_digitalreset_stat_), //  output,   width = 1, rx_digitalreset_stat.rx_digitalreset_stat
		.tx_cal_busy          (_connected_to_tx_cal_busy_),          //  output,   width = 1,          tx_cal_busy.tx_cal_busy
		.rx_cal_busy          (_connected_to_rx_cal_busy_),          //  output,   width = 1,          rx_cal_busy.rx_cal_busy
		.tx_serial_data       (_connected_to_tx_serial_data_),       //  output,   width = 1,       tx_serial_data.tx_serial_data
		.rx_serial_data       (_connected_to_rx_serial_data_),       //   input,   width = 1,       rx_serial_data.rx_serial_data
		.rx_is_lockedtodata   (_connected_to_rx_is_lockedtodata_),   //  output,   width = 1,   rx_is_lockedtodata.rx_is_lockedtodata
		.reconfig_clk         (_connected_to_reconfig_clk_),         //   input,   width = 1,         reconfig_clk.clk
		.reconfig_reset       (_connected_to_reconfig_reset_),       //   input,   width = 1,       reconfig_reset.reset
		.reconfig_write       (_connected_to_reconfig_write_),       //   input,   width = 1,        reconfig_avmm.write
		.reconfig_read        (_connected_to_reconfig_read_),        //   input,   width = 1,                     .read
		.reconfig_address     (_connected_to_reconfig_address_),     //   input,  width = 11,                     .address
		.reconfig_writedata   (_connected_to_reconfig_writedata_),   //   input,  width = 32,                     .writedata
		.reconfig_readdata    (_connected_to_reconfig_readdata_),    //  output,  width = 32,                     .readdata
		.reconfig_waitrequest (_connected_to_reconfig_waitrequest_)  //  output,   width = 1,                     .waitrequest
	);

