	hps_to_mge_gmii_adapter_1 u0 (
		.clock_clk                (_connected_to_clock_clk_),                //   input,   width = 1,          clock.clk
		.reset_sink_reset_n       (_connected_to_reset_sink_reset_n_),       //   input,   width = 1,     reset_sink.reset_n
		.csr_address              (_connected_to_csr_address_),              //   input,   width = 1,            csr.address
		.csr_read                 (_connected_to_csr_read_),                 //   input,   width = 1,               .read
		.csr_write                (_connected_to_csr_write_),                //   input,   width = 1,               .write
		.csr_writedata            (_connected_to_csr_writedata_),            //   input,  width = 32,               .writedata
		.csr_readdata             (_connected_to_csr_readdata_),             //  output,  width = 32,               .readdata
		.hps_gmii_phy_tx_clk_o    (_connected_to_hps_gmii_phy_tx_clk_o_),    //   input,   width = 1,       hps_gmii.phy_tx_clk_o
		.hps_gmii_rst_tx_n        (_connected_to_hps_gmii_rst_tx_n_),        //   input,   width = 1,               .rst_tx_n
		.hps_gmii_rst_rx_n        (_connected_to_hps_gmii_rst_rx_n_),        //   input,   width = 1,               .rst_rx_n
		.hps_gmii_phy_txd_o       (_connected_to_hps_gmii_phy_txd_o_),       //   input,   width = 8,               .phy_txd_o
		.hps_gmii_phy_txen_o      (_connected_to_hps_gmii_phy_txen_o_),      //   input,   width = 1,               .phy_txen_o
		.hps_gmii_phy_txer_o      (_connected_to_hps_gmii_phy_txer_o_),      //   input,   width = 1,               .phy_txer_o
		.hps_gmii_phy_mac_speed_o (_connected_to_hps_gmii_phy_mac_speed_o_), //   input,   width = 2,               .phy_mac_speed_o
		.hps_gmii_phy_tx_clk_i    (_connected_to_hps_gmii_phy_tx_clk_i_),    //  output,   width = 1,               .phy_tx_clk_i
		.hps_gmii_phy_rx_clk_i    (_connected_to_hps_gmii_phy_rx_clk_i_),    //  output,   width = 1,               .phy_rx_clk_i
		.hps_gmii_phy_rxdv_i      (_connected_to_hps_gmii_phy_rxdv_i_),      //  output,   width = 1,               .phy_rxdv_i
		.hps_gmii_phy_rxer_i      (_connected_to_hps_gmii_phy_rxer_i_),      //  output,   width = 1,               .phy_rxer_i
		.hps_gmii_phy_rxd_i       (_connected_to_hps_gmii_phy_rxd_i_),       //  output,   width = 8,               .phy_rxd_i
		.hps_gmii_phy_col_i       (_connected_to_hps_gmii_phy_col_i_),       //  output,   width = 1,               .phy_col_i
		.hps_gmii_phy_crs_i       (_connected_to_hps_gmii_phy_crs_i_),       //  output,   width = 1,               .phy_crs_i
		.pll_125m_clk_clk         (_connected_to_pll_125m_clk_clk_),         //   input,   width = 1,   pll_125m_clk.clk
		.pll_25m_clk_clk          (_connected_to_pll_25m_clk_clk_),          //   input,   width = 1,    pll_25m_clk.clk
		.pll_2_5m_clk_clk         (_connected_to_pll_2_5m_clk_clk_),         //   input,   width = 1,   pll_2_5m_clk.clk
		.pll_locked_export        (_connected_to_pll_locked_export_),        //   input,   width = 1,     pll_locked.export
		.phy_rx_clkout_clk        (_connected_to_phy_rx_clkout_clk_),        //   input,   width = 1,  phy_rx_clkout.clk
		.phy_rx_clkena_export     (_connected_to_phy_rx_clkena_export_),     //   input,   width = 1,  phy_rx_clkena.export
		.phy_tx_clkout_clk        (_connected_to_phy_tx_clkout_clk_),        //   input,   width = 1,  phy_tx_clkout.clk
		.phy_tx_clkena_export     (_connected_to_phy_tx_clkena_export_),     //   input,   width = 1,  phy_tx_clkena.export
		.phy_speed_export         (_connected_to_phy_speed_export_),         //   input,   width = 3,      phy_speed.export
		.gmii16b_rx_d_export      (_connected_to_gmii16b_rx_d_export_),      //   input,  width = 16,   gmii16b_rx_d.export
		.gmii16b_rx_dv_export     (_connected_to_gmii16b_rx_dv_export_),     //   input,   width = 2,  gmii16b_rx_dv.export
		.gmii16b_rx_err_export    (_connected_to_gmii16b_rx_err_export_),    //   input,   width = 2, gmii16b_rx_err.export
		.gmii16b_tx_d_export      (_connected_to_gmii16b_tx_d_export_),      //  output,  width = 16,   gmii16b_tx_d.export
		.gmii16b_tx_en_export     (_connected_to_gmii16b_tx_en_export_),     //  output,   width = 2,  gmii16b_tx_en.export
		.gmii16b_tx_err_export    (_connected_to_gmii16b_tx_err_export_)     //  output,   width = 2, gmii16b_tx_err.export
	);

