# (C) 2001-2019 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


# False path for Cross Clock domain of Elastic Buffer
set_false_path -from [get_registers {*|u_hps_to_mge_gmii_adapter_core|*|u_fifomem|fifomem*}] -to [get_registers {*|u_hps_to_mge_gmii_adapter_core|*|u_fifomem|fifomem_s1*}]
set_false_path -from [get_registers {*|u_hps_to_mge_gmii_adapter_core|*|wr_gray_ptr[*]}] -to [get_registers {*|u_hps_to_mge_gmii_adapter_core|*|u_wr_to_rd_synch|synch_flp*}]
set_false_path -from [get_registers {*|u_hps_to_mge_gmii_adapter_core|*|wr_bin_ptr[*]}] -to [get_registers {*|u_hps_to_mge_gmii_adapter_core|*|u_wr_to_rd_synch|synch_flp*}]

# False Path for CSR status
set_false_path -from * -to [get_registers {*|u_hps_to_mge_gmii_adapter_core|u_csr|readdata[*]}]

# Constraint for reset synchronizer 
set_false_path -from * -to [get_registers {*|u_hps_to_mge_gmii_adapter_core|*|din_sync_*}]
set_net_delay -from [get_registers {*|u_hps_to_mge_gmii_adapter_core|*|din_sync_1}] -to [get_registers {*|u_hps_to_mge_gmii_adapter_core|*|din_sync_2}] -max 3

# False path for mac_speed and phy_speed
set_false_path -from [get_registers {*|u_hps_to_mge_gmii_adapter_core|mac_speed_int*}] -to *
set_false_path -from [get_registers {*|u_hps_to_mge_gmii_adapter_core|phy_speed_int*}] -to *
set_false_path -from * -to [get_registers {*|u_hps_to_mge_gmii_adapter_core|mac_speed_int*}]
set_false_path -from * -to [get_registers {*|u_hps_to_mge_gmii_adapter_core|phy_speed_int*}]
