module hps_to_mge_gmii_adapter_2 (
		input  wire        clock_clk,                //          clock.clk
		input  wire        reset_sink_reset_n,       //     reset_sink.reset_n
		input  wire        csr_address,              //            csr.address
		input  wire        csr_read,                 //               .read
		input  wire        csr_write,                //               .write
		input  wire [31:0] csr_writedata,            //               .writedata
		output wire [31:0] csr_readdata,             //               .readdata
		input  wire        hps_gmii_phy_tx_clk_o,    //       hps_gmii.phy_tx_clk_o
		input  wire        hps_gmii_rst_tx_n,        //               .rst_tx_n
		input  wire        hps_gmii_rst_rx_n,        //               .rst_rx_n
		input  wire [7:0]  hps_gmii_phy_txd_o,       //               .phy_txd_o
		input  wire        hps_gmii_phy_txen_o,      //               .phy_txen_o
		input  wire        hps_gmii_phy_txer_o,      //               .phy_txer_o
		input  wire [1:0]  hps_gmii_phy_mac_speed_o, //               .phy_mac_speed_o
		output wire        hps_gmii_phy_tx_clk_i,    //               .phy_tx_clk_i
		output wire        hps_gmii_phy_rx_clk_i,    //               .phy_rx_clk_i
		output wire        hps_gmii_phy_rxdv_i,      //               .phy_rxdv_i
		output wire        hps_gmii_phy_rxer_i,      //               .phy_rxer_i
		output wire [7:0]  hps_gmii_phy_rxd_i,       //               .phy_rxd_i
		output wire        hps_gmii_phy_col_i,       //               .phy_col_i
		output wire        hps_gmii_phy_crs_i,       //               .phy_crs_i
		input  wire        pll_125m_clk_clk,         //   pll_125m_clk.clk
		input  wire        pll_25m_clk_clk,          //    pll_25m_clk.clk
		input  wire        pll_2_5m_clk_clk,         //   pll_2_5m_clk.clk
		input  wire        pll_locked_export,        //     pll_locked.export
		input  wire        phy_rx_clkout_clk,        //  phy_rx_clkout.clk
		input  wire        phy_rx_clkena_export,     //  phy_rx_clkena.export
		input  wire        phy_tx_clkout_clk,        //  phy_tx_clkout.clk
		input  wire        phy_tx_clkena_export,     //  phy_tx_clkena.export
		input  wire [2:0]  phy_speed_export,         //      phy_speed.export
		input  wire [15:0] gmii16b_rx_d_export,      //   gmii16b_rx_d.export
		input  wire [1:0]  gmii16b_rx_dv_export,     //  gmii16b_rx_dv.export
		input  wire [1:0]  gmii16b_rx_err_export,    // gmii16b_rx_err.export
		output wire [15:0] gmii16b_tx_d_export,      //   gmii16b_tx_d.export
		output wire [1:0]  gmii16b_tx_en_export,     //  gmii16b_tx_en.export
		output wire [1:0]  gmii16b_tx_err_export     // gmii16b_tx_err.export
	);
endmodule

