	component mge_rcfg_0 is
		port (
			clk                              : in  std_logic                     := 'X';             -- clk
			rst_n                            : in  std_logic                     := 'X';             -- reset_n
			tx_cal_busy_chan1                : in  std_logic                     := 'X';             -- tx_cal_busy
			rx_cal_busy_chan1                : in  std_logic                     := 'X';             -- rx_cal_busy
			tx_cal_busy_chan1_out            : out std_logic;                                        -- tx_cal_busy
			rx_cal_busy_chan1_out            : out std_logic;                                        -- rx_cal_busy
			xcvr_mode_chan1                  : out std_logic_vector(1 downto 0);                     -- export
			mge_chan1_resetn                 : out std_logic;                                        -- reset_n
			pll_select_chan1                 : out std_logic;                                        -- pll_select
			status                           : out std_logic_vector(3 downto 0);                     -- export
			tx_cal_busy_chan2                : in  std_logic                     := 'X';             -- tx_cal_busy
			rx_cal_busy_chan2                : in  std_logic                     := 'X';             -- rx_cal_busy
			tx_cal_busy_chan2_out            : out std_logic;                                        -- tx_cal_busy
			rx_cal_busy_chan2_out            : out std_logic;                                        -- rx_cal_busy
			xcvr_mode_chan2                  : out std_logic_vector(1 downto 0);                     -- export
			mge_chan2_resetn                 : out std_logic;                                        -- reset_n
			pll_select_chan2                 : out std_logic;                                        -- pll_select
			reconfig_xcvr_master_address     : out std_logic_vector(11 downto 0);                    -- address
			reconfig_xcvr_master_read        : out std_logic;                                        -- read
			reconfig_xcvr_master_write       : out std_logic;                                        -- write
			reconfig_xcvr_master_writedata   : out std_logic_vector(31 downto 0);                    -- writedata
			reconfig_xcvr_master_readdata    : in  std_logic_vector(31 downto 0) := (others => 'X'); -- readdata
			reconfig_xcvr_master_waitrequest : in  std_logic                     := 'X'              -- waitrequest
		);
	end component mge_rcfg_0;

	u0 : component mge_rcfg_0
		port map (
			clk                              => CONNECTED_TO_clk,                              --                 clock.clk
			rst_n                            => CONNECTED_TO_rst_n,                            --            reset_sink.reset_n
			tx_cal_busy_chan1                => CONNECTED_TO_tx_cal_busy_chan1,                --     tx_cal_busy_chan1.tx_cal_busy
			rx_cal_busy_chan1                => CONNECTED_TO_rx_cal_busy_chan1,                --     rx_cal_busy_chan1.rx_cal_busy
			tx_cal_busy_chan1_out            => CONNECTED_TO_tx_cal_busy_chan1_out,            -- tx_cal_busy_chan1_out.tx_cal_busy
			rx_cal_busy_chan1_out            => CONNECTED_TO_rx_cal_busy_chan1_out,            -- rx_cal_busy_chan1_out.rx_cal_busy
			xcvr_mode_chan1                  => CONNECTED_TO_xcvr_mode_chan1,                  --       xcvr_mode_chan1.export
			mge_chan1_resetn                 => CONNECTED_TO_mge_chan1_resetn,                 --      mge_chan1_resetn.reset_n
			pll_select_chan1                 => CONNECTED_TO_pll_select_chan1,                 --      pll_select_chan1.pll_select
			status                           => CONNECTED_TO_status,                           --                status.export
			tx_cal_busy_chan2                => CONNECTED_TO_tx_cal_busy_chan2,                --     tx_cal_busy_chan2.tx_cal_busy
			rx_cal_busy_chan2                => CONNECTED_TO_rx_cal_busy_chan2,                --     rx_cal_busy_chan2.rx_cal_busy
			tx_cal_busy_chan2_out            => CONNECTED_TO_tx_cal_busy_chan2_out,            -- tx_cal_busy_chan2_out.tx_cal_busy
			rx_cal_busy_chan2_out            => CONNECTED_TO_rx_cal_busy_chan2_out,            -- rx_cal_busy_chan2_out.rx_cal_busy
			xcvr_mode_chan2                  => CONNECTED_TO_xcvr_mode_chan2,                  --       xcvr_mode_chan2.export
			mge_chan2_resetn                 => CONNECTED_TO_mge_chan2_resetn,                 --      mge_chan2_resetn.reset_n
			pll_select_chan2                 => CONNECTED_TO_pll_select_chan2,                 --      pll_select_chan2.pll_select
			reconfig_xcvr_master_address     => CONNECTED_TO_reconfig_xcvr_master_address,     --  reconfig_xcvr_master.address
			reconfig_xcvr_master_read        => CONNECTED_TO_reconfig_xcvr_master_read,        --                      .read
			reconfig_xcvr_master_write       => CONNECTED_TO_reconfig_xcvr_master_write,       --                      .write
			reconfig_xcvr_master_writedata   => CONNECTED_TO_reconfig_xcvr_master_writedata,   --                      .writedata
			reconfig_xcvr_master_readdata    => CONNECTED_TO_reconfig_xcvr_master_readdata,    --                      .readdata
			reconfig_xcvr_master_waitrequest => CONNECTED_TO_reconfig_xcvr_master_waitrequest  --                      .waitrequest
		);

