// mge_rcfg_0.v

// Generated using ACDS version 19.1 240

`timescale 1 ps / 1 ps
module mge_rcfg_0 (
		input  wire        clk,                              //                 clock.clk
		input  wire        rst_n,                            //            reset_sink.reset_n
		input  wire        tx_cal_busy_chan1,                //     tx_cal_busy_chan1.tx_cal_busy
		input  wire        rx_cal_busy_chan1,                //     rx_cal_busy_chan1.rx_cal_busy
		output wire        tx_cal_busy_chan1_out,            // tx_cal_busy_chan1_out.tx_cal_busy
		output wire        rx_cal_busy_chan1_out,            // rx_cal_busy_chan1_out.rx_cal_busy
		output wire [1:0]  xcvr_mode_chan1,                  //       xcvr_mode_chan1.export
		output wire        mge_chan1_resetn,                 //      mge_chan1_resetn.reset_n
		output wire        pll_select_chan1,                 //      pll_select_chan1.pll_select
		output wire [3:0]  status,                           //                status.export
		input  wire        tx_cal_busy_chan2,                //     tx_cal_busy_chan2.tx_cal_busy
		input  wire        rx_cal_busy_chan2,                //     rx_cal_busy_chan2.rx_cal_busy
		output wire        tx_cal_busy_chan2_out,            // tx_cal_busy_chan2_out.tx_cal_busy
		output wire        rx_cal_busy_chan2_out,            // rx_cal_busy_chan2_out.rx_cal_busy
		output wire [1:0]  xcvr_mode_chan2,                  //       xcvr_mode_chan2.export
		output wire        mge_chan2_resetn,                 //      mge_chan2_resetn.reset_n
		output wire        pll_select_chan2,                 //      pll_select_chan2.pll_select
		output wire [11:0] reconfig_xcvr_master_address,     //  reconfig_xcvr_master.address
		output wire        reconfig_xcvr_master_read,        //                      .read
		output wire        reconfig_xcvr_master_write,       //                      .write
		output wire [31:0] reconfig_xcvr_master_writedata,   //                      .writedata
		input  wire [31:0] reconfig_xcvr_master_readdata,    //                      .readdata
		input  wire        reconfig_xcvr_master_waitrequest  //                      .waitrequest
	);

	mge_rcfg_top #(
		.NUM_OF_CHANNEL (2)
	) mge_rcfg_inst (
		.clk                              (clk),                              //   input,   width = 1,                 clock.clk
		.rst_n                            (rst_n),                            //   input,   width = 1,            reset_sink.reset_n
		.tx_cal_busy_chan1                (tx_cal_busy_chan1),                //   input,   width = 1,     tx_cal_busy_chan1.tx_cal_busy
		.rx_cal_busy_chan1                (rx_cal_busy_chan1),                //   input,   width = 1,     rx_cal_busy_chan1.rx_cal_busy
		.tx_cal_busy_chan1_out            (tx_cal_busy_chan1_out),            //  output,   width = 1, tx_cal_busy_chan1_out.tx_cal_busy
		.rx_cal_busy_chan1_out            (rx_cal_busy_chan1_out),            //  output,   width = 1, rx_cal_busy_chan1_out.rx_cal_busy
		.xcvr_mode_chan1                  (xcvr_mode_chan1),                  //  output,   width = 2,       xcvr_mode_chan1.export
		.mge_chan1_resetn                 (mge_chan1_resetn),                 //  output,   width = 1,      mge_chan1_resetn.reset_n
		.pll_select_chan1                 (pll_select_chan1),                 //  output,   width = 1,      pll_select_chan1.pll_select
		.status                           (status),                           //  output,   width = 4,                status.export
		.tx_cal_busy_chan2                (tx_cal_busy_chan2),                //   input,   width = 1,     tx_cal_busy_chan2.tx_cal_busy
		.rx_cal_busy_chan2                (rx_cal_busy_chan2),                //   input,   width = 1,     rx_cal_busy_chan2.rx_cal_busy
		.tx_cal_busy_chan2_out            (tx_cal_busy_chan2_out),            //  output,   width = 1, tx_cal_busy_chan2_out.tx_cal_busy
		.rx_cal_busy_chan2_out            (rx_cal_busy_chan2_out),            //  output,   width = 1, rx_cal_busy_chan2_out.rx_cal_busy
		.xcvr_mode_chan2                  (xcvr_mode_chan2),                  //  output,   width = 2,       xcvr_mode_chan2.export
		.mge_chan2_resetn                 (mge_chan2_resetn),                 //  output,   width = 1,      mge_chan2_resetn.reset_n
		.pll_select_chan2                 (pll_select_chan2),                 //  output,   width = 1,      pll_select_chan2.pll_select
		.reconfig_xcvr_master_address     (reconfig_xcvr_master_address),     //  output,  width = 12,  reconfig_xcvr_master.address
		.reconfig_xcvr_master_read        (reconfig_xcvr_master_read),        //  output,   width = 1,                      .read
		.reconfig_xcvr_master_write       (reconfig_xcvr_master_write),       //  output,   width = 1,                      .write
		.reconfig_xcvr_master_writedata   (reconfig_xcvr_master_writedata),   //  output,  width = 32,                      .writedata
		.reconfig_xcvr_master_readdata    (reconfig_xcvr_master_readdata),    //   input,  width = 32,                      .readdata
		.reconfig_xcvr_master_waitrequest (reconfig_xcvr_master_waitrequest)  //   input,   width = 1,                      .waitrequest
	);

endmodule
